"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateServiceRequestValidation = exports.FederationServiceRequestValidation = exports.ExperimentServiceRequestValidation = exports.DeviceServiceRequestValidation = exports.BookingServiceRequestValidation = exports.AuthenticationServiceRequestValidation = void 0;
/**
 * This file was automatically generated by openapi-codegeneration.
 * DO NOT MODIFY IT BY HAND. Instead, modify the source OpenAPI file,
 * and run openapi-codegeneration to regenerate this file.
 */
const basicValidation_1 = require("./basicValidation");
/**
 * Namespace containing the request validation functions for the Authentication Service.
 */
var AuthenticationServiceRequestValidation;
(function (AuthenticationServiceRequestValidation) {
    /**
     * This function validates the inputs to login()
     */
    function validateLoginInput(body) {
        if (!basicValidation_1.AuthenticationServiceBasicValidation.validateLoginBodyRequest(body)) {
            validateLoginInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateLoginBodyRequest.errors;
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateLoginInput = validateLoginInput;
    /**
     * This function validates the outputs of login()
     */
    function validateLoginOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 201) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateLoginResponse201Response(response.body)) {
                validateLoginOutput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateLoginResponse201Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateLoginOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateLoginOutput = validateLoginOutput;
    /**
     * This function validates the inputs to logout()
     */
    function validateLogoutInput(body) {
        if (!basicValidation_1.AuthenticationServiceBasicValidation.validateLogoutBodyRequest(body)) {
            validateLogoutInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateLogoutBodyRequest.errors;
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateLogoutInput = validateLogoutInput;
    /**
     * This function validates the outputs of logout()
     */
    function validateLogoutOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 204) {
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateLogoutOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateLogoutOutput = validateLogoutOutput;
    /**
     * This function validates the inputs to createDeviceAuthenticationToken()
     */
    function validateCreateDeviceAuthenticationTokenInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateDeviceUrlRequest(parameters['device_url'])) {
                validateCreateDeviceAuthenticationTokenInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateDeviceUrlRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateCreateDeviceAuthenticationTokenInput = validateCreateDeviceAuthenticationTokenInput;
    /**
     * This function validates the outputs of createDeviceAuthenticationToken()
     */
    function validateCreateDeviceAuthenticationTokenOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 201) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateCreateDeviceAuthenticationTokenResponse201Response(response.body)) {
                validateCreateDeviceAuthenticationTokenOutput.errors =
                    basicValidation_1.AuthenticationServiceBasicValidation.validateCreateDeviceAuthenticationTokenResponse201Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateCreateDeviceAuthenticationTokenOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateCreateDeviceAuthenticationTokenOutput = validateCreateDeviceAuthenticationTokenOutput;
    /**
     * This function validates the inputs to listUsers()
     */
    function validateListUsersInput() {
        return true;
    }
    AuthenticationServiceRequestValidation.validateListUsersInput = validateListUsersInput;
    /**
     * This function validates the outputs of listUsers()
     */
    function validateListUsersOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateListUsersResponse200Response(response.body)) {
                validateListUsersOutput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateListUsersResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateListUsersOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateListUsersOutput = validateListUsersOutput;
    /**
     * This function validates the inputs to createUser()
     */
    function validateCreateUserInput(body) {
        if (!basicValidation_1.AuthenticationServiceBasicValidation.validateCreateUserBodyRequest(body)) {
            validateCreateUserInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateCreateUserBodyRequest.errors;
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateCreateUserInput = validateCreateUserInput;
    /**
     * This function validates the outputs of createUser()
     */
    function validateCreateUserOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 201) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateCreateUserResponse201Response(response.body)) {
                validateCreateUserOutput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateCreateUserResponse201Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateCreateUserOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateCreateUserOutput = validateCreateUserOutput;
    /**
     * This function validates the inputs to getUser()
     */
    function validateGetUserInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateUserIdRequest(parameters['user_id'])) {
                validateGetUserInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateUserIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateGetUserInput = validateGetUserInput;
    /**
     * This function validates the outputs of getUser()
     */
    function validateGetUserOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateGetUserResponse200Response(response.body)) {
                validateGetUserOutput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateGetUserResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateGetUserOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateGetUserOutput = validateGetUserOutput;
    /**
     * This function validates the inputs to updateUser()
     */
    function validateUpdateUserInput(parameters, body) {
        if (parameters) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateUserIdRequest(parameters['user_id'])) {
                validateUpdateUserInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateUserIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        if (body === undefined) {
            return true;
        }
        if (!basicValidation_1.AuthenticationServiceBasicValidation.validateUpdateUserBodyRequest(body)) {
            validateUpdateUserInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateUpdateUserBodyRequest.errors;
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateUpdateUserInput = validateUpdateUserInput;
    /**
     * This function validates the outputs of updateUser()
     */
    function validateUpdateUserOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateUpdateUserResponse200Response(response.body)) {
                validateUpdateUserOutput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateUpdateUserResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateUpdateUserOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateUpdateUserOutput = validateUpdateUserOutput;
    /**
     * This function validates the inputs to deleteUser()
     */
    function validateDeleteUserInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateUserIdRequest(parameters['user_id'])) {
                validateDeleteUserInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateUserIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateDeleteUserInput = validateDeleteUserInput;
    /**
     * This function validates the outputs of deleteUser()
     */
    function validateDeleteUserOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 204) {
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateDeleteUserOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateDeleteUserOutput = validateDeleteUserOutput;
    /**
     * This function validates the inputs to getRolesOfUser()
     */
    function validateGetRolesOfUserInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateUserIdRequest(parameters['user_id'])) {
                validateGetRolesOfUserInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateUserIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateGetRolesOfUserInput = validateGetRolesOfUserInput;
    /**
     * This function validates the outputs of getRolesOfUser()
     */
    function validateGetRolesOfUserOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateGetRolesOfUserResponse200Response(response.body)) {
                validateGetRolesOfUserOutput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateGetRolesOfUserResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateGetRolesOfUserOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateGetRolesOfUserOutput = validateGetRolesOfUserOutput;
    /**
     * This function validates the inputs to addRolesToUser()
     */
    function validateAddRolesToUserInput(parameters, body) {
        if (parameters) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateUserIdRequest(parameters['user_id'])) {
                validateAddRolesToUserInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateUserIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        if (body === undefined) {
            return true;
        }
        if (!basicValidation_1.AuthenticationServiceBasicValidation.validateAddRolesToUserBodyRequest(body)) {
            validateAddRolesToUserInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateAddRolesToUserBodyRequest.errors;
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateAddRolesToUserInput = validateAddRolesToUserInput;
    /**
     * This function validates the outputs of addRolesToUser()
     */
    function validateAddRolesToUserOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 204) {
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateAddRolesToUserOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateAddRolesToUserOutput = validateAddRolesToUserOutput;
    /**
     * This function validates the inputs to removeRolesFromUser()
     */
    function validateRemoveRolesFromUserInput(parameters, body) {
        if (parameters) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateUserIdRequest(parameters['user_id'])) {
                validateRemoveRolesFromUserInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateUserIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        if (body === undefined) {
            return true;
        }
        if (!basicValidation_1.AuthenticationServiceBasicValidation.validateRemoveRolesFromUserBodyRequest(body)) {
            validateRemoveRolesFromUserInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateRemoveRolesFromUserBodyRequest.errors;
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateRemoveRolesFromUserInput = validateRemoveRolesFromUserInput;
    /**
     * This function validates the outputs of removeRolesFromUser()
     */
    function validateRemoveRolesFromUserOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 204) {
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateRemoveRolesFromUserOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateRemoveRolesFromUserOutput = validateRemoveRolesFromUserOutput;
    /**
     * This function validates the inputs to listRoles()
     */
    function validateListRolesInput() {
        return true;
    }
    AuthenticationServiceRequestValidation.validateListRolesInput = validateListRolesInput;
    /**
     * This function validates the outputs of listRoles()
     */
    function validateListRolesOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateListRolesResponse200Response(response.body)) {
                validateListRolesOutput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateListRolesResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateListRolesOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateListRolesOutput = validateListRolesOutput;
    /**
     * This function validates the inputs to createRole()
     */
    function validateCreateRoleInput(body) {
        if (body === undefined) {
            return true;
        }
        if (!basicValidation_1.AuthenticationServiceBasicValidation.validateCreateRoleBodyRequest(body)) {
            validateCreateRoleInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateCreateRoleBodyRequest.errors;
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateCreateRoleInput = validateCreateRoleInput;
    /**
     * This function validates the outputs of createRole()
     */
    function validateCreateRoleOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 201) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateCreateRoleResponse201Response(response.body)) {
                validateCreateRoleOutput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateCreateRoleResponse201Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateCreateRoleOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateCreateRoleOutput = validateCreateRoleOutput;
    /**
     * This function validates the inputs to getRole()
     */
    function validateGetRoleInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateRoleIdRequest(parameters['role_id'])) {
                validateGetRoleInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateRoleIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateGetRoleInput = validateGetRoleInput;
    /**
     * This function validates the outputs of getRole()
     */
    function validateGetRoleOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateGetRoleResponse200Response(response.body)) {
                validateGetRoleOutput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateGetRoleResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateGetRoleOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateGetRoleOutput = validateGetRoleOutput;
    /**
     * This function validates the inputs to updateRole()
     */
    function validateUpdateRoleInput(parameters, body) {
        if (parameters) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateRoleIdRequest(parameters['role_id'])) {
                validateUpdateRoleInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateRoleIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        if (body === undefined) {
            return true;
        }
        if (!basicValidation_1.AuthenticationServiceBasicValidation.validateUpdateRoleBodyRequest(body)) {
            validateUpdateRoleInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateUpdateRoleBodyRequest.errors;
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateUpdateRoleInput = validateUpdateRoleInput;
    /**
     * This function validates the outputs of updateRole()
     */
    function validateUpdateRoleOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateUpdateRoleResponse200Response(response.body)) {
                validateUpdateRoleOutput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateUpdateRoleResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateUpdateRoleOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateUpdateRoleOutput = validateUpdateRoleOutput;
    /**
     * This function validates the inputs to deleteRole()
     */
    function validateDeleteRoleInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateRoleIdRequest(parameters['role_id'])) {
                validateDeleteRoleInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateRoleIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateDeleteRoleInput = validateDeleteRoleInput;
    /**
     * This function validates the outputs of deleteRole()
     */
    function validateDeleteRoleOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 204) {
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateDeleteRoleOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateDeleteRoleOutput = validateDeleteRoleOutput;
    /**
     * This function validates the inputs to getUsersWithRole()
     */
    function validateGetUsersWithRoleInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateRoleIdRequest(parameters['role_id'])) {
                validateGetUsersWithRoleInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateRoleIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateGetUsersWithRoleInput = validateGetUsersWithRoleInput;
    /**
     * This function validates the outputs of getUsersWithRole()
     */
    function validateGetUsersWithRoleOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateGetUsersWithRoleResponse200Response(response.body)) {
                validateGetUsersWithRoleOutput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateGetUsersWithRoleResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateGetUsersWithRoleOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateGetUsersWithRoleOutput = validateGetUsersWithRoleOutput;
    /**
     * This function validates the inputs to addUsersToRole()
     */
    function validateAddUsersToRoleInput(parameters, body) {
        if (parameters) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateRoleIdRequest(parameters['role_id'])) {
                validateAddUsersToRoleInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateRoleIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        if (body === undefined) {
            return true;
        }
        if (!basicValidation_1.AuthenticationServiceBasicValidation.validateAddUsersToRoleBodyRequest(body)) {
            validateAddUsersToRoleInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateAddUsersToRoleBodyRequest.errors;
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateAddUsersToRoleInput = validateAddUsersToRoleInput;
    /**
     * This function validates the outputs of addUsersToRole()
     */
    function validateAddUsersToRoleOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 204) {
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateAddUsersToRoleOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateAddUsersToRoleOutput = validateAddUsersToRoleOutput;
    /**
     * This function validates the inputs to removeUsersFromRole()
     */
    function validateRemoveUsersFromRoleInput(parameters, body) {
        if (parameters) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateRoleIdRequest(parameters['role_id'])) {
                validateRemoveUsersFromRoleInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateRoleIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        if (body === undefined) {
            return true;
        }
        if (!basicValidation_1.AuthenticationServiceBasicValidation.validateRemoveUsersFromRoleBodyRequest(body)) {
            validateRemoveUsersFromRoleInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateRemoveUsersFromRoleBodyRequest.errors;
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateRemoveUsersFromRoleInput = validateRemoveUsersFromRoleInput;
    /**
     * This function validates the outputs of removeUsersFromRole()
     */
    function validateRemoveUsersFromRoleOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 204) {
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateRemoveUsersFromRoleOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateRemoveUsersFromRoleOutput = validateRemoveUsersFromRoleOutput;
    /**
     * This function validates the inputs to getIdentity()
     */
    function validateGetIdentityInput() {
        return true;
    }
    AuthenticationServiceRequestValidation.validateGetIdentityInput = validateGetIdentityInput;
    /**
     * This function validates the outputs of getIdentity()
     */
    function validateGetIdentityOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateGetIdentityResponse200Response(response.body)) {
                validateGetIdentityOutput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateGetIdentityResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateGetIdentityOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateGetIdentityOutput = validateGetIdentityOutput;
    /**
     * This function validates the inputs to updateIdentity()
     */
    function validateUpdateIdentityInput(body) {
        if (body === undefined) {
            return true;
        }
        if (!basicValidation_1.AuthenticationServiceBasicValidation.validateUpdateIdentityBodyRequest(body)) {
            validateUpdateIdentityInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateUpdateIdentityBodyRequest.errors;
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateUpdateIdentityInput = validateUpdateIdentityInput;
    /**
     * This function validates the outputs of updateIdentity()
     */
    function validateUpdateIdentityOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.AuthenticationServiceBasicValidation.validateUpdateIdentityResponse200Response(response.body)) {
                validateUpdateIdentityOutput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateUpdateIdentityResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateUpdateIdentityOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateUpdateIdentityOutput = validateUpdateIdentityOutput;
    /**
     * This function validates the inputs to register()
     */
    function validateRegisterInput(body) {
        if (!basicValidation_1.AuthenticationServiceBasicValidation.validateRegisterBodyRequest(body)) {
            validateRegisterInput.errors = basicValidation_1.AuthenticationServiceBasicValidation.validateRegisterBodyRequest.errors;
            return false;
        }
        return true;
    }
    AuthenticationServiceRequestValidation.validateRegisterInput = validateRegisterInput;
    /**
     * This function validates the outputs of register()
     */
    function validateRegisterOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 201) {
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateRegisterOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    AuthenticationServiceRequestValidation.validateRegisterOutput = validateRegisterOutput;
})(AuthenticationServiceRequestValidation = exports.AuthenticationServiceRequestValidation || (exports.AuthenticationServiceRequestValidation = {}));
/**
 * Namespace containing the request validation functions for the Booking Service.
 */
var BookingServiceRequestValidation;
(function (BookingServiceRequestValidation) {
    /**
     * This function validates the inputs to getSchedule()
     */
    function validateGetScheduleInput(body) {
        if (body === undefined) {
            return true;
        }
        if (!basicValidation_1.BookingServiceBasicValidation.validateGetScheduleBodyRequest(body)) {
            validateGetScheduleInput.errors = basicValidation_1.BookingServiceBasicValidation.validateGetScheduleBodyRequest.errors;
            return false;
        }
        return true;
    }
    BookingServiceRequestValidation.validateGetScheduleInput = validateGetScheduleInput;
    /**
     * This function validates the outputs of getSchedule()
     */
    function validateGetScheduleOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateGetScheduleResponse200Response(response.body)) {
                validateGetScheduleOutput.errors = basicValidation_1.BookingServiceBasicValidation.validateGetScheduleResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 404) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateGetScheduleResponse404Response(response.body)) {
                validateGetScheduleOutput.errors = basicValidation_1.BookingServiceBasicValidation.validateGetScheduleResponse404Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 422) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateGetScheduleResponse422Response(response.body)) {
                validateGetScheduleOutput.errors = basicValidation_1.BookingServiceBasicValidation.validateGetScheduleResponse422Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 500) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateGetScheduleResponse500Response(response.body)) {
                validateGetScheduleOutput.errors = basicValidation_1.BookingServiceBasicValidation.validateGetScheduleResponse500Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 503) {
            return true;
        }
        validateGetScheduleOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    BookingServiceRequestValidation.validateGetScheduleOutput = validateGetScheduleOutput;
    /**
     * This function validates the inputs to bookExperiment()
     */
    function validateBookExperimentInput(body) {
        if (body === undefined) {
            return true;
        }
        if (!basicValidation_1.BookingServiceBasicValidation.validateBookExperimentBodyRequest(body)) {
            validateBookExperimentInput.errors = basicValidation_1.BookingServiceBasicValidation.validateBookExperimentBodyRequest.errors;
            return false;
        }
        return true;
    }
    BookingServiceRequestValidation.validateBookExperimentInput = validateBookExperimentInput;
    /**
     * This function validates the outputs of bookExperiment()
     */
    function validateBookExperimentOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateBookExperimentResponse200Response(response.body)) {
                validateBookExperimentOutput.errors = basicValidation_1.BookingServiceBasicValidation.validateBookExperimentResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 500) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateBookExperimentResponse500Response(response.body)) {
                validateBookExperimentOutput.errors = basicValidation_1.BookingServiceBasicValidation.validateBookExperimentResponse500Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 503) {
            return true;
        }
        validateBookExperimentOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    BookingServiceRequestValidation.validateBookExperimentOutput = validateBookExperimentOutput;
    /**
     * This function validates the inputs to updateBooking()
     */
    function validateUpdateBookingInput(parameters, body) {
        if (parameters) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateIDRequest(parameters['ID'])) {
                validateUpdateBookingInput.errors = basicValidation_1.BookingServiceBasicValidation.validateIDRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        if (!basicValidation_1.BookingServiceBasicValidation.validateUpdateBookingBodyRequest(body)) {
            validateUpdateBookingInput.errors = basicValidation_1.BookingServiceBasicValidation.validateUpdateBookingBodyRequest.errors;
            return false;
        }
        return true;
    }
    BookingServiceRequestValidation.validateUpdateBookingInput = validateUpdateBookingInput;
    /**
     * This function validates the outputs of updateBooking()
     */
    function validateUpdateBookingOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateUpdateBookingResponse200Response(response.body)) {
                validateUpdateBookingOutput.errors = basicValidation_1.BookingServiceBasicValidation.validateUpdateBookingResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 423) {
            return true;
        }
        if (response.status === 500) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateUpdateBookingResponse500Response(response.body)) {
                validateUpdateBookingOutput.errors = basicValidation_1.BookingServiceBasicValidation.validateUpdateBookingResponse500Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 503) {
            return true;
        }
        validateUpdateBookingOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    BookingServiceRequestValidation.validateUpdateBookingOutput = validateUpdateBookingOutput;
    /**
     * This function validates the inputs to cancelBooking()
     */
    function validateCancelBookingInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateIDRequest(parameters['ID'])) {
                validateCancelBookingInput.errors = basicValidation_1.BookingServiceBasicValidation.validateIDRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    BookingServiceRequestValidation.validateCancelBookingInput = validateCancelBookingInput;
    /**
     * This function validates the outputs of cancelBooking()
     */
    function validateCancelBookingOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 423) {
            return true;
        }
        if (response.status === 500) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateCancelBookingResponse500Response(response.body)) {
                validateCancelBookingOutput.errors = basicValidation_1.BookingServiceBasicValidation.validateCancelBookingResponse500Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 503) {
            return true;
        }
        validateCancelBookingOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    BookingServiceRequestValidation.validateCancelBookingOutput = validateCancelBookingOutput;
    /**
     * This function validates the inputs to getBooking()
     */
    function validateGetBookingInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateIDRequest(parameters['ID'])) {
                validateGetBookingInput.errors = basicValidation_1.BookingServiceBasicValidation.validateIDRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    BookingServiceRequestValidation.validateGetBookingInput = validateGetBookingInput;
    /**
     * This function validates the outputs of getBooking()
     */
    function validateGetBookingOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateGetBookingResponse200Response(response.body)) {
                validateGetBookingOutput.errors = basicValidation_1.BookingServiceBasicValidation.validateGetBookingResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateGetBookingResponse500Response(response.body)) {
                validateGetBookingOutput.errors = basicValidation_1.BookingServiceBasicValidation.validateGetBookingResponse500Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 503) {
            return true;
        }
        validateGetBookingOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    BookingServiceRequestValidation.validateGetBookingOutput = validateGetBookingOutput;
    /**
     * This function validates the inputs to deleteBooking()
     */
    function validateDeleteBookingInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateIDRequest(parameters['ID'])) {
                validateDeleteBookingInput.errors = basicValidation_1.BookingServiceBasicValidation.validateIDRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    BookingServiceRequestValidation.validateDeleteBookingInput = validateDeleteBookingInput;
    /**
     * This function validates the outputs of deleteBooking()
     */
    function validateDeleteBookingOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 423) {
            return true;
        }
        if (response.status === 500) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateDeleteBookingResponse500Response(response.body)) {
                validateDeleteBookingOutput.errors = basicValidation_1.BookingServiceBasicValidation.validateDeleteBookingResponse500Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 503) {
            return true;
        }
        validateDeleteBookingOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    BookingServiceRequestValidation.validateDeleteBookingOutput = validateDeleteBookingOutput;
    /**
     * This function validates the inputs to lockBooking()
     */
    function validateLockBookingInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateIDRequest(parameters['ID'])) {
                validateLockBookingInput.errors = basicValidation_1.BookingServiceBasicValidation.validateIDRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    BookingServiceRequestValidation.validateLockBookingInput = validateLockBookingInput;
    /**
     * This function validates the outputs of lockBooking()
     */
    function validateLockBookingOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateLockBookingResponse200Response(response.body)) {
                validateLockBookingOutput.errors = basicValidation_1.BookingServiceBasicValidation.validateLockBookingResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateLockBookingResponse500Response(response.body)) {
                validateLockBookingOutput.errors = basicValidation_1.BookingServiceBasicValidation.validateLockBookingResponse500Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 503) {
            return true;
        }
        validateLockBookingOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    BookingServiceRequestValidation.validateLockBookingOutput = validateLockBookingOutput;
    /**
     * This function validates the inputs to unlockBooking()
     */
    function validateUnlockBookingInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateIDRequest(parameters['ID'])) {
                validateUnlockBookingInput.errors = basicValidation_1.BookingServiceBasicValidation.validateIDRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    BookingServiceRequestValidation.validateUnlockBookingInput = validateUnlockBookingInput;
    /**
     * This function validates the outputs of unlockBooking()
     */
    function validateUnlockBookingOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            if (!basicValidation_1.BookingServiceBasicValidation.validateUnlockBookingResponse500Response(response.body)) {
                validateUnlockBookingOutput.errors = basicValidation_1.BookingServiceBasicValidation.validateUnlockBookingResponse500Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 503) {
            return true;
        }
        validateUnlockBookingOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    BookingServiceRequestValidation.validateUnlockBookingOutput = validateUnlockBookingOutput;
})(BookingServiceRequestValidation = exports.BookingServiceRequestValidation || (exports.BookingServiceRequestValidation = {}));
/**
 * Namespace containing the request validation functions for the Device Service.
 */
var DeviceServiceRequestValidation;
(function (DeviceServiceRequestValidation) {
    /**
     * This function validates the inputs to listDevices()
     */
    function validateListDevicesInput() {
        return true;
    }
    DeviceServiceRequestValidation.validateListDevicesInput = validateListDevicesInput;
    /**
     * This function validates the outputs of listDevices()
     */
    function validateListDevicesOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateListDevicesResponse200Response(response.body)) {
                validateListDevicesOutput.errors = basicValidation_1.DeviceServiceBasicValidation.validateListDevicesResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateListDevicesOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    DeviceServiceRequestValidation.validateListDevicesOutput = validateListDevicesOutput;
    /**
     * This function validates the inputs to createDevice()
     */
    function validateCreateDeviceInput(parameters, body) {
        if (parameters) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateChangedUrlRequest(parameters['changedUrl']) &&
                parameters['changedUrl'] !== undefined) {
                validateCreateDeviceInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateChangedUrlRequest.errors;
                return false;
            }
        }
        else {
            if (parameters !== undefined) {
                return false;
            }
        }
        if (!basicValidation_1.DeviceServiceBasicValidation.validateCreateDeviceBodyRequest(body)) {
            validateCreateDeviceInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateCreateDeviceBodyRequest.errors;
            return false;
        }
        return true;
    }
    DeviceServiceRequestValidation.validateCreateDeviceInput = validateCreateDeviceInput;
    /**
     * This function validates the outputs of createDevice()
     */
    function validateCreateDeviceOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 201) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateCreateDeviceResponse201Response(response.body)) {
                validateCreateDeviceOutput.errors = basicValidation_1.DeviceServiceBasicValidation.validateCreateDeviceResponse201Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateCreateDeviceOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    DeviceServiceRequestValidation.validateCreateDeviceOutput = validateCreateDeviceOutput;
    /**
     * This function validates the inputs to getDevice()
     */
    function validateGetDeviceInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateDeviceIdRequest(parameters['device_id'])) {
                validateGetDeviceInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateDeviceIdRequest.errors;
                return false;
            }
            if (!basicValidation_1.DeviceServiceBasicValidation.validateFlatGroupRequest(parameters['flat_group']) &&
                parameters['flat_group'] !== undefined) {
                validateGetDeviceInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateFlatGroupRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    DeviceServiceRequestValidation.validateGetDeviceInput = validateGetDeviceInput;
    /**
     * This function validates the outputs of getDevice()
     */
    function validateGetDeviceOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateGetDeviceResponse200Response(response.body)) {
                validateGetDeviceOutput.errors = basicValidation_1.DeviceServiceBasicValidation.validateGetDeviceResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateGetDeviceOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    DeviceServiceRequestValidation.validateGetDeviceOutput = validateGetDeviceOutput;
    /**
     * This function validates the inputs to updateDevice()
     */
    function validateUpdateDeviceInput(parameters, body) {
        if (parameters) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateDeviceIdRequest(parameters['device_id'])) {
                validateUpdateDeviceInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateDeviceIdRequest.errors;
                return false;
            }
            if (!basicValidation_1.DeviceServiceBasicValidation.validateChangedUrlRequest(parameters['changedUrl']) &&
                parameters['changedUrl'] !== undefined) {
                validateUpdateDeviceInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateChangedUrlRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        if (body === undefined) {
            return true;
        }
        if (!basicValidation_1.DeviceServiceBasicValidation.validateUpdateDeviceBodyRequest(body)) {
            validateUpdateDeviceInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateUpdateDeviceBodyRequest.errors;
            return false;
        }
        return true;
    }
    DeviceServiceRequestValidation.validateUpdateDeviceInput = validateUpdateDeviceInput;
    /**
     * This function validates the outputs of updateDevice()
     */
    function validateUpdateDeviceOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateUpdateDeviceResponse200Response(response.body)) {
                validateUpdateDeviceOutput.errors = basicValidation_1.DeviceServiceBasicValidation.validateUpdateDeviceResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateUpdateDeviceOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    DeviceServiceRequestValidation.validateUpdateDeviceOutput = validateUpdateDeviceOutput;
    /**
     * This function validates the inputs to deleteDevice()
     */
    function validateDeleteDeviceInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateDeviceIdRequest(parameters['device_id'])) {
                validateDeleteDeviceInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateDeviceIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    DeviceServiceRequestValidation.validateDeleteDeviceInput = validateDeleteDeviceInput;
    /**
     * This function validates the outputs of deleteDevice()
     */
    function validateDeleteDeviceOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 204) {
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateDeleteDeviceOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    DeviceServiceRequestValidation.validateDeleteDeviceOutput = validateDeleteDeviceOutput;
    /**
     * This function validates the inputs to instantiateDevice()
     */
    function validateInstantiateDeviceInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateDeviceIdRequest(parameters['device_id'])) {
                validateInstantiateDeviceInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateDeviceIdRequest.errors;
                return false;
            }
            if (!basicValidation_1.DeviceServiceBasicValidation.validateChangedUrlRequest(parameters['changedUrl']) &&
                parameters['changedUrl'] !== undefined) {
                validateInstantiateDeviceInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateChangedUrlRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    DeviceServiceRequestValidation.validateInstantiateDeviceInput = validateInstantiateDeviceInput;
    /**
     * This function validates the outputs of instantiateDevice()
     */
    function validateInstantiateDeviceOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 201) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateInstantiateDeviceResponse201Response(response.body)) {
                validateInstantiateDeviceOutput.errors = basicValidation_1.DeviceServiceBasicValidation.validateInstantiateDeviceResponse201Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateInstantiateDeviceOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    DeviceServiceRequestValidation.validateInstantiateDeviceOutput = validateInstantiateDeviceOutput;
    /**
     * This function validates the inputs to addAvailabilityRules()
     */
    function validateAddAvailabilityRulesInput(parameters, body) {
        if (parameters) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateDeviceIdRequest(parameters['device_id'])) {
                validateAddAvailabilityRulesInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateDeviceIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        if (body === undefined) {
            return true;
        }
        if (!basicValidation_1.DeviceServiceBasicValidation.validateAddAvailabilityRulesBodyRequest(body)) {
            validateAddAvailabilityRulesInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateAddAvailabilityRulesBodyRequest.errors;
            return false;
        }
        return true;
    }
    DeviceServiceRequestValidation.validateAddAvailabilityRulesInput = validateAddAvailabilityRulesInput;
    /**
     * This function validates the outputs of addAvailabilityRules()
     */
    function validateAddAvailabilityRulesOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateAddAvailabilityRulesResponse200Response(response.body)) {
                validateAddAvailabilityRulesOutput.errors = basicValidation_1.DeviceServiceBasicValidation.validateAddAvailabilityRulesResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateAddAvailabilityRulesOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    DeviceServiceRequestValidation.validateAddAvailabilityRulesOutput = validateAddAvailabilityRulesOutput;
    /**
     * This function validates the inputs to createWebsocketToken()
     */
    function validateCreateWebsocketTokenInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateDeviceIdRequest(parameters['device_id'])) {
                validateCreateWebsocketTokenInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateDeviceIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    DeviceServiceRequestValidation.validateCreateWebsocketTokenInput = validateCreateWebsocketTokenInput;
    /**
     * This function validates the outputs of createWebsocketToken()
     */
    function validateCreateWebsocketTokenOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateCreateWebsocketTokenResponse200Response(response.body)) {
                validateCreateWebsocketTokenOutput.errors = basicValidation_1.DeviceServiceBasicValidation.validateCreateWebsocketTokenResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateCreateWebsocketTokenOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    DeviceServiceRequestValidation.validateCreateWebsocketTokenOutput = validateCreateWebsocketTokenOutput;
    /**
     * This function validates the inputs to sendSignalingMessage()
     */
    function validateSendSignalingMessageInput(parameters, body) {
        if (parameters) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateDeviceIdRequest(parameters['device_id'])) {
                validateSendSignalingMessageInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateDeviceIdRequest.errors;
                return false;
            }
            if (!basicValidation_1.DeviceServiceBasicValidation.validatePeerconnectionUrlRequest(parameters['peerconnection_url'])) {
                validateSendSignalingMessageInput.errors = basicValidation_1.DeviceServiceBasicValidation.validatePeerconnectionUrlRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        if (!basicValidation_1.DeviceServiceBasicValidation.validateSendSignalingMessageBodyRequest(body)) {
            validateSendSignalingMessageInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateSendSignalingMessageBodyRequest.errors;
            return false;
        }
        return true;
    }
    DeviceServiceRequestValidation.validateSendSignalingMessageInput = validateSendSignalingMessageInput;
    /**
     * This function validates the outputs of sendSignalingMessage()
     */
    function validateSendSignalingMessageOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateSendSignalingMessageOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    DeviceServiceRequestValidation.validateSendSignalingMessageOutput = validateSendSignalingMessageOutput;
    /**
     * This function validates the inputs to listPeerconnections()
     */
    function validateListPeerconnectionsInput() {
        return true;
    }
    DeviceServiceRequestValidation.validateListPeerconnectionsInput = validateListPeerconnectionsInput;
    /**
     * This function validates the outputs of listPeerconnections()
     */
    function validateListPeerconnectionsOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateListPeerconnectionsResponse200Response(response.body)) {
                validateListPeerconnectionsOutput.errors = basicValidation_1.DeviceServiceBasicValidation.validateListPeerconnectionsResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateListPeerconnectionsOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    DeviceServiceRequestValidation.validateListPeerconnectionsOutput = validateListPeerconnectionsOutput;
    /**
     * This function validates the inputs to createPeerconnection()
     */
    function validateCreatePeerconnectionInput(parameters, body) {
        if (parameters) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateClosedUrlRequest(parameters['closedUrl']) &&
                parameters['closedUrl'] !== undefined) {
                validateCreatePeerconnectionInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateClosedUrlRequest.errors;
                return false;
            }
            if (!basicValidation_1.DeviceServiceBasicValidation.validateStatusChangedUrlRequest(parameters['statusChangedUrl']) &&
                parameters['statusChangedUrl'] !== undefined) {
                validateCreatePeerconnectionInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateStatusChangedUrlRequest.errors;
                return false;
            }
        }
        else {
            if (parameters !== undefined) {
                return false;
            }
        }
        if (!basicValidation_1.DeviceServiceBasicValidation.validateCreatePeerconnectionBodyRequest(body)) {
            validateCreatePeerconnectionInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateCreatePeerconnectionBodyRequest.errors;
            return false;
        }
        return true;
    }
    DeviceServiceRequestValidation.validateCreatePeerconnectionInput = validateCreatePeerconnectionInput;
    /**
     * This function validates the outputs of createPeerconnection()
     */
    function validateCreatePeerconnectionOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 201) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateCreatePeerconnectionResponse201Response(response.body)) {
                validateCreatePeerconnectionOutput.errors = basicValidation_1.DeviceServiceBasicValidation.validateCreatePeerconnectionResponse201Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 202) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateCreatePeerconnectionResponse202Response(response.body)) {
                validateCreatePeerconnectionOutput.errors = basicValidation_1.DeviceServiceBasicValidation.validateCreatePeerconnectionResponse202Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateCreatePeerconnectionOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    DeviceServiceRequestValidation.validateCreatePeerconnectionOutput = validateCreatePeerconnectionOutput;
    /**
     * This function validates the inputs to getPeerconnection()
     */
    function validateGetPeerconnectionInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validatePeerconnectionIdRequest(parameters['peerconnection_id'])) {
                validateGetPeerconnectionInput.errors = basicValidation_1.DeviceServiceBasicValidation.validatePeerconnectionIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    DeviceServiceRequestValidation.validateGetPeerconnectionInput = validateGetPeerconnectionInput;
    /**
     * This function validates the outputs of getPeerconnection()
     */
    function validateGetPeerconnectionOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validateGetPeerconnectionResponse200Response(response.body)) {
                validateGetPeerconnectionOutput.errors = basicValidation_1.DeviceServiceBasicValidation.validateGetPeerconnectionResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateGetPeerconnectionOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    DeviceServiceRequestValidation.validateGetPeerconnectionOutput = validateGetPeerconnectionOutput;
    /**
     * This function validates the inputs to deletePeerconnection()
     */
    function validateDeletePeerconnectionInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validatePeerconnectionIdRequest(parameters['peerconnection_id'])) {
                validateDeletePeerconnectionInput.errors = basicValidation_1.DeviceServiceBasicValidation.validatePeerconnectionIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    DeviceServiceRequestValidation.validateDeletePeerconnectionInput = validateDeletePeerconnectionInput;
    /**
     * This function validates the outputs of deletePeerconnection()
     */
    function validateDeletePeerconnectionOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 204) {
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateDeletePeerconnectionOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    DeviceServiceRequestValidation.validateDeletePeerconnectionOutput = validateDeletePeerconnectionOutput;
    /**
     * This function validates the inputs to patchPeerconnectionDeviceStatus()
     */
    function validatePatchPeerconnectionDeviceStatusInput(parameters, body) {
        if (parameters) {
            if (!basicValidation_1.DeviceServiceBasicValidation.validatePeerconnectionIdRequest(parameters['peerconnection_id'])) {
                validatePatchPeerconnectionDeviceStatusInput.errors = basicValidation_1.DeviceServiceBasicValidation.validatePeerconnectionIdRequest.errors;
                return false;
            }
            if (!basicValidation_1.DeviceServiceBasicValidation.validateDeviceUrlRequest(parameters['device_url'])) {
                validatePatchPeerconnectionDeviceStatusInput.errors = basicValidation_1.DeviceServiceBasicValidation.validateDeviceUrlRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        if (!basicValidation_1.DeviceServiceBasicValidation.validatePatchPeerconnectionDeviceStatusBodyRequest(body)) {
            validatePatchPeerconnectionDeviceStatusInput.errors = basicValidation_1.DeviceServiceBasicValidation.validatePatchPeerconnectionDeviceStatusBodyRequest.errors;
            return false;
        }
        return true;
    }
    DeviceServiceRequestValidation.validatePatchPeerconnectionDeviceStatusInput = validatePatchPeerconnectionDeviceStatusInput;
    /**
     * This function validates the outputs of patchPeerconnectionDeviceStatus()
     */
    function validatePatchPeerconnectionDeviceStatusOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 201) {
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validatePatchPeerconnectionDeviceStatusOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    DeviceServiceRequestValidation.validatePatchPeerconnectionDeviceStatusOutput = validatePatchPeerconnectionDeviceStatusOutput;
})(DeviceServiceRequestValidation = exports.DeviceServiceRequestValidation || (exports.DeviceServiceRequestValidation = {}));
/**
 * Namespace containing the request validation functions for the Experiment Service.
 */
var ExperimentServiceRequestValidation;
(function (ExperimentServiceRequestValidation) {
    /**
     * This function validates the inputs to listExperiments()
     */
    function validateListExperimentsInput() {
        return true;
    }
    ExperimentServiceRequestValidation.validateListExperimentsInput = validateListExperimentsInput;
    /**
     * This function validates the outputs of listExperiments()
     */
    function validateListExperimentsOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.ExperimentServiceBasicValidation.validateListExperimentsResponse200Response(response.body)) {
                validateListExperimentsOutput.errors = basicValidation_1.ExperimentServiceBasicValidation.validateListExperimentsResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateListExperimentsOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    ExperimentServiceRequestValidation.validateListExperimentsOutput = validateListExperimentsOutput;
    /**
     * This function validates the inputs to createExperiment()
     */
    function validateCreateExperimentInput(body) {
        if (!basicValidation_1.ExperimentServiceBasicValidation.validateCreateExperimentBodyRequest(body)) {
            validateCreateExperimentInput.errors = basicValidation_1.ExperimentServiceBasicValidation.validateCreateExperimentBodyRequest.errors;
            return false;
        }
        return true;
    }
    ExperimentServiceRequestValidation.validateCreateExperimentInput = validateCreateExperimentInput;
    /**
     * This function validates the outputs of createExperiment()
     */
    function validateCreateExperimentOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 201) {
            if (!basicValidation_1.ExperimentServiceBasicValidation.validateCreateExperimentResponse201Response(response.body)) {
                validateCreateExperimentOutput.errors = basicValidation_1.ExperimentServiceBasicValidation.validateCreateExperimentResponse201Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 202) {
            if (!basicValidation_1.ExperimentServiceBasicValidation.validateCreateExperimentResponse202Response(response.body)) {
                validateCreateExperimentOutput.errors = basicValidation_1.ExperimentServiceBasicValidation.validateCreateExperimentResponse202Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateCreateExperimentOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    ExperimentServiceRequestValidation.validateCreateExperimentOutput = validateCreateExperimentOutput;
    /**
     * This function validates the inputs to getExperiment()
     */
    function validateGetExperimentInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.ExperimentServiceBasicValidation.validateExperimentIdRequest(parameters['experiment_id'])) {
                validateGetExperimentInput.errors = basicValidation_1.ExperimentServiceBasicValidation.validateExperimentIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    ExperimentServiceRequestValidation.validateGetExperimentInput = validateGetExperimentInput;
    /**
     * This function validates the outputs of getExperiment()
     */
    function validateGetExperimentOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.ExperimentServiceBasicValidation.validateGetExperimentResponse200Response(response.body)) {
                validateGetExperimentOutput.errors = basicValidation_1.ExperimentServiceBasicValidation.validateGetExperimentResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateGetExperimentOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    ExperimentServiceRequestValidation.validateGetExperimentOutput = validateGetExperimentOutput;
    /**
     * This function validates the inputs to updateExperiment()
     */
    function validateUpdateExperimentInput(parameters, body) {
        if (parameters) {
            if (!basicValidation_1.ExperimentServiceBasicValidation.validateExperimentIdRequest(parameters['experiment_id'])) {
                validateUpdateExperimentInput.errors = basicValidation_1.ExperimentServiceBasicValidation.validateExperimentIdRequest.errors;
                return false;
            }
            if (!basicValidation_1.ExperimentServiceBasicValidation.validateChangedURLRequest(parameters['changedURL']) &&
                parameters['changedURL'] !== undefined) {
                validateUpdateExperimentInput.errors = basicValidation_1.ExperimentServiceBasicValidation.validateChangedURLRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        if (body === undefined) {
            return true;
        }
        if (!basicValidation_1.ExperimentServiceBasicValidation.validateUpdateExperimentBodyRequest(body)) {
            validateUpdateExperimentInput.errors = basicValidation_1.ExperimentServiceBasicValidation.validateUpdateExperimentBodyRequest.errors;
            return false;
        }
        return true;
    }
    ExperimentServiceRequestValidation.validateUpdateExperimentInput = validateUpdateExperimentInput;
    /**
     * This function validates the outputs of updateExperiment()
     */
    function validateUpdateExperimentOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.ExperimentServiceBasicValidation.validateUpdateExperimentResponse200Response(response.body)) {
                validateUpdateExperimentOutput.errors = basicValidation_1.ExperimentServiceBasicValidation.validateUpdateExperimentResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 202) {
            if (!basicValidation_1.ExperimentServiceBasicValidation.validateUpdateExperimentResponse202Response(response.body)) {
                validateUpdateExperimentOutput.errors = basicValidation_1.ExperimentServiceBasicValidation.validateUpdateExperimentResponse202Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateUpdateExperimentOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    ExperimentServiceRequestValidation.validateUpdateExperimentOutput = validateUpdateExperimentOutput;
    /**
     * This function validates the inputs to deleteExperiment()
     */
    function validateDeleteExperimentInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.ExperimentServiceBasicValidation.validateExperimentIdRequest(parameters['experiment_id'])) {
                validateDeleteExperimentInput.errors = basicValidation_1.ExperimentServiceBasicValidation.validateExperimentIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    ExperimentServiceRequestValidation.validateDeleteExperimentInput = validateDeleteExperimentInput;
    /**
     * This function validates the outputs of deleteExperiment()
     */
    function validateDeleteExperimentOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 204) {
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateDeleteExperimentOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    ExperimentServiceRequestValidation.validateDeleteExperimentOutput = validateDeleteExperimentOutput;
})(ExperimentServiceRequestValidation = exports.ExperimentServiceRequestValidation || (exports.ExperimentServiceRequestValidation = {}));
/**
 * Namespace containing the request validation functions for the Federation Service.
 */
var FederationServiceRequestValidation;
(function (FederationServiceRequestValidation) {
    /**
     * This function validates the inputs to listInstitutions()
     */
    function validateListInstitutionsInput() {
        return true;
    }
    FederationServiceRequestValidation.validateListInstitutionsInput = validateListInstitutionsInput;
    /**
     * This function validates the outputs of listInstitutions()
     */
    function validateListInstitutionsOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.FederationServiceBasicValidation.validateListInstitutionsResponse200Response(response.body)) {
                validateListInstitutionsOutput.errors = basicValidation_1.FederationServiceBasicValidation.validateListInstitutionsResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateListInstitutionsOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    FederationServiceRequestValidation.validateListInstitutionsOutput = validateListInstitutionsOutput;
    /**
     * This function validates the inputs to createInstitution()
     */
    function validateCreateInstitutionInput(body) {
        if (!basicValidation_1.FederationServiceBasicValidation.validateCreateInstitutionBodyRequest(body)) {
            validateCreateInstitutionInput.errors = basicValidation_1.FederationServiceBasicValidation.validateCreateInstitutionBodyRequest.errors;
            return false;
        }
        return true;
    }
    FederationServiceRequestValidation.validateCreateInstitutionInput = validateCreateInstitutionInput;
    /**
     * This function validates the outputs of createInstitution()
     */
    function validateCreateInstitutionOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 201) {
            if (!basicValidation_1.FederationServiceBasicValidation.validateCreateInstitutionResponse201Response(response.body)) {
                validateCreateInstitutionOutput.errors = basicValidation_1.FederationServiceBasicValidation.validateCreateInstitutionResponse201Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateCreateInstitutionOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    FederationServiceRequestValidation.validateCreateInstitutionOutput = validateCreateInstitutionOutput;
    /**
     * This function validates the inputs to getInstitution()
     */
    function validateGetInstitutionInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.FederationServiceBasicValidation.validateInstitutionIdRequest(parameters['institution_id'])) {
                validateGetInstitutionInput.errors = basicValidation_1.FederationServiceBasicValidation.validateInstitutionIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    FederationServiceRequestValidation.validateGetInstitutionInput = validateGetInstitutionInput;
    /**
     * This function validates the outputs of getInstitution()
     */
    function validateGetInstitutionOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.FederationServiceBasicValidation.validateGetInstitutionResponse200Response(response.body)) {
                validateGetInstitutionOutput.errors = basicValidation_1.FederationServiceBasicValidation.validateGetInstitutionResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateGetInstitutionOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    FederationServiceRequestValidation.validateGetInstitutionOutput = validateGetInstitutionOutput;
    /**
     * This function validates the inputs to updateInstitution()
     */
    function validateUpdateInstitutionInput(parameters, body) {
        if (parameters) {
            if (!basicValidation_1.FederationServiceBasicValidation.validateInstitutionIdRequest(parameters['institution_id'])) {
                validateUpdateInstitutionInput.errors = basicValidation_1.FederationServiceBasicValidation.validateInstitutionIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        if (body === undefined) {
            return true;
        }
        if (!basicValidation_1.FederationServiceBasicValidation.validateUpdateInstitutionBodyRequest(body)) {
            validateUpdateInstitutionInput.errors = basicValidation_1.FederationServiceBasicValidation.validateUpdateInstitutionBodyRequest.errors;
            return false;
        }
        return true;
    }
    FederationServiceRequestValidation.validateUpdateInstitutionInput = validateUpdateInstitutionInput;
    /**
     * This function validates the outputs of updateInstitution()
     */
    function validateUpdateInstitutionOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.FederationServiceBasicValidation.validateUpdateInstitutionResponse200Response(response.body)) {
                validateUpdateInstitutionOutput.errors = basicValidation_1.FederationServiceBasicValidation.validateUpdateInstitutionResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateUpdateInstitutionOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    FederationServiceRequestValidation.validateUpdateInstitutionOutput = validateUpdateInstitutionOutput;
    /**
     * This function validates the inputs to deleteInstitution()
     */
    function validateDeleteInstitutionInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.FederationServiceBasicValidation.validateInstitutionIdRequest(parameters['institution_id'])) {
                validateDeleteInstitutionInput.errors = basicValidation_1.FederationServiceBasicValidation.validateInstitutionIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    FederationServiceRequestValidation.validateDeleteInstitutionInput = validateDeleteInstitutionInput;
    /**
     * This function validates the outputs of deleteInstitution()
     */
    function validateDeleteInstitutionOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 204) {
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateDeleteInstitutionOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    FederationServiceRequestValidation.validateDeleteInstitutionOutput = validateDeleteInstitutionOutput;
})(FederationServiceRequestValidation = exports.FederationServiceRequestValidation || (exports.FederationServiceRequestValidation = {}));
/**
 * Namespace containing the request validation functions for the Update Service.
 */
var UpdateServiceRequestValidation;
(function (UpdateServiceRequestValidation) {
    /**
     * This function validates the inputs to listUpdates()
     */
    function validateListUpdatesInput() {
        return true;
    }
    UpdateServiceRequestValidation.validateListUpdatesInput = validateListUpdatesInput;
    /**
     * This function validates the outputs of listUpdates()
     */
    function validateListUpdatesOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.UpdateServiceBasicValidation.validateListUpdatesResponse200Response(response.body)) {
                validateListUpdatesOutput.errors = basicValidation_1.UpdateServiceBasicValidation.validateListUpdatesResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateListUpdatesOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    UpdateServiceRequestValidation.validateListUpdatesOutput = validateListUpdatesOutput;
    /**
     * This function validates the inputs to createUpdate()
     */
    function validateCreateUpdateInput(body) {
        if (!basicValidation_1.UpdateServiceBasicValidation.validateCreateUpdateBodyRequest(body)) {
            validateCreateUpdateInput.errors = basicValidation_1.UpdateServiceBasicValidation.validateCreateUpdateBodyRequest.errors;
            return false;
        }
        return true;
    }
    UpdateServiceRequestValidation.validateCreateUpdateInput = validateCreateUpdateInput;
    /**
     * This function validates the outputs of createUpdate()
     */
    function validateCreateUpdateOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 201) {
            if (!basicValidation_1.UpdateServiceBasicValidation.validateCreateUpdateResponse201Response(response.body)) {
                validateCreateUpdateOutput.errors = basicValidation_1.UpdateServiceBasicValidation.validateCreateUpdateResponse201Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateCreateUpdateOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    UpdateServiceRequestValidation.validateCreateUpdateOutput = validateCreateUpdateOutput;
    /**
     * This function validates the inputs to getUpdate()
     */
    function validateGetUpdateInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.UpdateServiceBasicValidation.validateDeviceIdRequest(parameters['device_id'])) {
                validateGetUpdateInput.errors = basicValidation_1.UpdateServiceBasicValidation.validateDeviceIdRequest.errors;
                return false;
            }
            if (!basicValidation_1.UpdateServiceBasicValidation.validateCurrentVersionRequest(parameters['current_version']) &&
                parameters['current_version'] !== undefined) {
                validateGetUpdateInput.errors = basicValidation_1.UpdateServiceBasicValidation.validateCurrentVersionRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    UpdateServiceRequestValidation.validateGetUpdateInput = validateGetUpdateInput;
    /**
     * This function validates the outputs of getUpdate()
     */
    function validateGetUpdateOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            return true;
        }
        if (response.status === 303) {
            if (response.headers) {
                if (!basicValidation_1.UpdateServiceBasicValidation.validateGetUpdateLocationResponse(response.headers['Location'])) {
                    validateGetUpdateOutput.errors = basicValidation_1.UpdateServiceBasicValidation.validateGetUpdateLocationResponse.errors;
                    return false;
                }
            }
            else {
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateGetUpdateOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    UpdateServiceRequestValidation.validateGetUpdateOutput = validateGetUpdateOutput;
    /**
     * This function validates the inputs to patchUpdate()
     */
    function validatePatchUpdateInput(parameters, body) {
        if (parameters) {
            if (!basicValidation_1.UpdateServiceBasicValidation.validateDeviceIdRequest(parameters['device_id'])) {
                validatePatchUpdateInput.errors = basicValidation_1.UpdateServiceBasicValidation.validateDeviceIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        if (!basicValidation_1.UpdateServiceBasicValidation.validatePatchUpdateBodyRequest(body)) {
            validatePatchUpdateInput.errors = basicValidation_1.UpdateServiceBasicValidation.validatePatchUpdateBodyRequest.errors;
            return false;
        }
        return true;
    }
    UpdateServiceRequestValidation.validatePatchUpdateInput = validatePatchUpdateInput;
    /**
     * This function validates the outputs of patchUpdate()
     */
    function validatePatchUpdateOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 200) {
            if (!basicValidation_1.UpdateServiceBasicValidation.validatePatchUpdateResponse200Response(response.body)) {
                validatePatchUpdateOutput.errors = basicValidation_1.UpdateServiceBasicValidation.validatePatchUpdateResponse200Response.errors;
                return false;
            }
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validatePatchUpdateOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    UpdateServiceRequestValidation.validatePatchUpdateOutput = validatePatchUpdateOutput;
    /**
     * This function validates the inputs to deleteUpdate()
     */
    function validateDeleteUpdateInput(parameters) {
        if (parameters) {
            if (!basicValidation_1.UpdateServiceBasicValidation.validateDeviceIdRequest(parameters['device_id'])) {
                validateDeleteUpdateInput.errors = basicValidation_1.UpdateServiceBasicValidation.validateDeviceIdRequest.errors;
                return false;
            }
        }
        else {
            return false;
        }
        return true;
    }
    UpdateServiceRequestValidation.validateDeleteUpdateInput = validateDeleteUpdateInput;
    /**
     * This function validates the outputs of deleteUpdate()
     */
    function validateDeleteUpdateOutput(response) {
        if (response.status < 100 || response.status >= 600)
            return false;
        if (response.status === 204) {
            return true;
        }
        if (response.status === 400) {
            return true;
        }
        if (response.status === 401) {
            return true;
        }
        if (response.status === 403) {
            return true;
        }
        if (response.status === 404) {
            return true;
        }
        if (response.status === 500) {
            return true;
        }
        validateDeleteUpdateOutput.errors = `Response status ${response.status} is unexpected`;
        return false;
    }
    UpdateServiceRequestValidation.validateDeleteUpdateOutput = validateDeleteUpdateOutput;
})(UpdateServiceRequestValidation = exports.UpdateServiceRequestValidation || (exports.UpdateServiceRequestValidation = {}));
//# sourceMappingURL=requestValidation.js.map