"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceServiceTypes = exports.isErrorResponse = exports.isSuccessResponse = void 0;
/**
 * This file was automatically generated by openapi-codegeneration.
 * DO NOT MODIFY IT BY HAND. Instead, modify the source OpenAPI file,
 * and run openapi-codegeneration to regenerate this file.
 */
const basicValidation_1 = require("./basicValidation");
/**
 * @internal
 */
function isSuccessResponse(response) {
    return response.status < 400;
}
exports.isSuccessResponse = isSuccessResponse;
/**
 * @internal
 */
function isErrorResponse(response) {
    return response.status >= 400;
}
exports.isErrorResponse = isErrorResponse;
/**
 * Namespace containing the types for the Device Service.
 */
var DeviceServiceTypes;
(function (DeviceServiceTypes) {
    function isDeviceOverview(obj, type = 'all') {
        switch (type) {
            case 'request':
                return basicValidation_1.DeviceServiceBasicValidation.validateDeviceOverviewRequest(obj);
            case 'response':
                return basicValidation_1.DeviceServiceBasicValidation.validateDeviceOverviewResponse(obj);
            default:
                return basicValidation_1.DeviceServiceBasicValidation.validateDeviceOverview(obj);
        }
    }
    DeviceServiceTypes.isDeviceOverview = isDeviceOverview;
    function isInstantiableCloudDevice(obj, type = 'all') {
        switch (type) {
            case 'request':
                return basicValidation_1.DeviceServiceBasicValidation.validateInstantiableCloudDeviceRequest(obj);
            case 'response':
                return basicValidation_1.DeviceServiceBasicValidation.validateInstantiableCloudDeviceResponse(obj);
            default:
                return basicValidation_1.DeviceServiceBasicValidation.validateInstantiableCloudDevice(obj);
        }
    }
    DeviceServiceTypes.isInstantiableCloudDevice = isInstantiableCloudDevice;
    function isConcreteDevice(obj, type = 'all') {
        switch (type) {
            case 'request':
                return basicValidation_1.DeviceServiceBasicValidation.validateConcreteDeviceRequest(obj);
            case 'response':
                return basicValidation_1.DeviceServiceBasicValidation.validateConcreteDeviceResponse(obj);
            default:
                return basicValidation_1.DeviceServiceBasicValidation.validateConcreteDevice(obj);
        }
    }
    DeviceServiceTypes.isConcreteDevice = isConcreteDevice;
    function isInstantiableBrowserDevice(obj, type = 'all') {
        switch (type) {
            case 'request':
                return basicValidation_1.DeviceServiceBasicValidation.validateInstantiableBrowserDeviceRequest(obj);
            case 'response':
                return basicValidation_1.DeviceServiceBasicValidation.validateInstantiableBrowserDeviceResponse(obj);
            default:
                return basicValidation_1.DeviceServiceBasicValidation.validateInstantiableBrowserDevice(obj);
        }
    }
    DeviceServiceTypes.isInstantiableBrowserDevice = isInstantiableBrowserDevice;
    function isDeviceGroup(obj, type = 'all') {
        switch (type) {
            case 'request':
                return basicValidation_1.DeviceServiceBasicValidation.validateDeviceGroupRequest(obj);
            case 'response':
                return basicValidation_1.DeviceServiceBasicValidation.validateDeviceGroupResponse(obj);
            default:
                return basicValidation_1.DeviceServiceBasicValidation.validateDeviceGroup(obj);
        }
    }
    DeviceServiceTypes.isDeviceGroup = isDeviceGroup;
    function isDevice(obj, type = 'all') {
        switch (type) {
            case 'request':
                return basicValidation_1.DeviceServiceBasicValidation.validateDeviceRequest(obj);
            case 'response':
                return basicValidation_1.DeviceServiceBasicValidation.validateDeviceResponse(obj);
            default:
                return basicValidation_1.DeviceServiceBasicValidation.validateDevice(obj);
        }
    }
    DeviceServiceTypes.isDevice = isDevice;
    function isMessage(obj, type = 'all') {
        switch (type) {
            case 'request':
                return basicValidation_1.DeviceServiceBasicValidation.validateMessageRequest(obj);
            case 'response':
                return basicValidation_1.DeviceServiceBasicValidation.validateMessageResponse(obj);
            default:
                return basicValidation_1.DeviceServiceBasicValidation.validateMessage(obj);
        }
    }
    DeviceServiceTypes.isMessage = isMessage;
    function isCommandMessage(obj, type = 'all') {
        switch (type) {
            case 'request':
                return basicValidation_1.DeviceServiceBasicValidation.validateCommandMessageRequest(obj);
            case 'response':
                return basicValidation_1.DeviceServiceBasicValidation.validateCommandMessageResponse(obj);
            default:
                return basicValidation_1.DeviceServiceBasicValidation.validateCommandMessage(obj);
        }
    }
    DeviceServiceTypes.isCommandMessage = isCommandMessage;
    function isCreatePeerconnectionMessage(obj, type = 'all') {
        switch (type) {
            case 'request':
                return basicValidation_1.DeviceServiceBasicValidation.validateCreatePeerconnectionMessageRequest(obj);
            case 'response':
                return basicValidation_1.DeviceServiceBasicValidation.validateCreatePeerconnectionMessageResponse(obj);
            default:
                return basicValidation_1.DeviceServiceBasicValidation.validateCreatePeerconnectionMessage(obj);
        }
    }
    DeviceServiceTypes.isCreatePeerconnectionMessage = isCreatePeerconnectionMessage;
    function isClosePeerconnectionMessage(obj, type = 'all') {
        switch (type) {
            case 'request':
                return basicValidation_1.DeviceServiceBasicValidation.validateClosePeerconnectionMessageRequest(obj);
            case 'response':
                return basicValidation_1.DeviceServiceBasicValidation.validateClosePeerconnectionMessageResponse(obj);
            default:
                return basicValidation_1.DeviceServiceBasicValidation.validateClosePeerconnectionMessage(obj);
        }
    }
    DeviceServiceTypes.isClosePeerconnectionMessage = isClosePeerconnectionMessage;
    function isSignalingMessage(obj, type = 'all') {
        switch (type) {
            case 'request':
                return basicValidation_1.DeviceServiceBasicValidation.validateSignalingMessageRequest(obj);
            case 'response':
                return basicValidation_1.DeviceServiceBasicValidation.validateSignalingMessageResponse(obj);
            default:
                return basicValidation_1.DeviceServiceBasicValidation.validateSignalingMessage(obj);
        }
    }
    DeviceServiceTypes.isSignalingMessage = isSignalingMessage;
    function isPeerconnection(obj, type = 'all') {
        switch (type) {
            case 'request':
                return basicValidation_1.DeviceServiceBasicValidation.validatePeerconnectionRequest(obj);
            case 'response':
                return basicValidation_1.DeviceServiceBasicValidation.validatePeerconnectionResponse(obj);
            default:
                return basicValidation_1.DeviceServiceBasicValidation.validatePeerconnection(obj);
        }
    }
    DeviceServiceTypes.isPeerconnection = isPeerconnection;
})(DeviceServiceTypes = exports.DeviceServiceTypes || (exports.DeviceServiceTypes = {}));
//# sourceMappingURL=types.js.map