/**
 * This file was automatically generated by openapi-codegeneration.
 * DO NOT MODIFY IT BY HAND. Instead, modify the source OpenAPI file,
 * and run openapi-codegeneration to regenerate this file.
 */
import { SuccessResponse, ErrorResponse, AuthenticationServiceTypes, BookingServiceTypes, DeviceServiceTypes, ExperimentServiceTypes, FederationServiceTypes, UpdateServiceTypes } from './types';
/**
 * Namespace containing the signatures for the Authentication Service.
 */
export declare namespace AuthenticationServiceSignatures {
    /**
     * Typing for the body of the request made by login()
     * @category login()
     */
    type LoginBody = AuthenticationServiceTypes.Credentials<'request'> & {
        /**
         * Authentication method.
         */
        method?: AuthenticationServiceTypes.AuthMethod<'request'>;
        [k: string]: unknown;
    };
    /**
     * Typing for all possible responses to the request made by login()
     * @category login()
     */
    type LoginResponse = LoginSuccessResponse | LoginErrorResponse;
    /**
     * Typing for all successful responses to the request made by login()
     * @category login()
     */
    type LoginSuccessResponse = LoginResponse201;
    /**
     * Typing for all error responses to the request made by login()
     * @category login()
     */
    type LoginErrorResponse = LoginResponse400 | LoginResponse401 | LoginResponse403 | LoginResponse404 | LoginResponse500;
    /**
     * Typing for a response with status 201 to the request made by login()
     * @category login()
     */
    interface LoginResponse201 extends SuccessResponse {
        status: 201;
        headers?: {
            [k: string]: string | undefined;
        };
        body: string;
    }
    /**
     * Typing for a response with status 400 to the request made by login()
     * @category login()
     */
    interface LoginResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by login()
     * @category login()
     */
    interface LoginResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by login()
     * @category login()
     */
    interface LoginResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by login()
     * @category login()
     */
    interface LoginResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by login()
     * @category login()
     */
    interface LoginResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the body of the request made by logout()
     * @category logout()
     */
    type LogoutBody = {
        /**
         * The token to be invalidated.
         */
        token?: string;
        [k: string]: unknown;
    };
    /**
     * Typing for all possible responses to the request made by logout()
     * @category logout()
     */
    type LogoutResponse = LogoutSuccessResponse | LogoutErrorResponse;
    /**
     * Typing for all successful responses to the request made by logout()
     * @category logout()
     */
    type LogoutSuccessResponse = LogoutResponse204;
    /**
     * Typing for all error responses to the request made by logout()
     * @category logout()
     */
    type LogoutErrorResponse = LogoutResponse400 | LogoutResponse401 | LogoutResponse403 | LogoutResponse404 | LogoutResponse500;
    /**
     * Typing for a response with status 204 to the request made by logout()
     * @category logout()
     */
    interface LogoutResponse204 extends SuccessResponse {
        status: 204;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 400 to the request made by logout()
     * @category logout()
     */
    interface LogoutResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by logout()
     * @category logout()
     */
    interface LogoutResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by logout()
     * @category logout()
     */
    interface LogoutResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by logout()
     * @category logout()
     */
    interface LogoutResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by logout()
     * @category logout()
     */
    interface LogoutResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by createDeviceAuthenticationToken()
     * @category createDeviceAuthenticationToken()
     */
    type CreateDeviceAuthenticationTokenParameters = {
        device_url: string;
    };
    /**
     * Typing for all possible responses to the request made by createDeviceAuthenticationToken()
     * @category createDeviceAuthenticationToken()
     */
    type CreateDeviceAuthenticationTokenResponse = CreateDeviceAuthenticationTokenSuccessResponse | CreateDeviceAuthenticationTokenErrorResponse;
    /**
     * Typing for all successful responses to the request made by createDeviceAuthenticationToken()
     * @category createDeviceAuthenticationToken()
     */
    type CreateDeviceAuthenticationTokenSuccessResponse = CreateDeviceAuthenticationTokenResponse201;
    /**
     * Typing for all error responses to the request made by createDeviceAuthenticationToken()
     * @category createDeviceAuthenticationToken()
     */
    type CreateDeviceAuthenticationTokenErrorResponse = CreateDeviceAuthenticationTokenResponse400 | CreateDeviceAuthenticationTokenResponse401 | CreateDeviceAuthenticationTokenResponse403 | CreateDeviceAuthenticationTokenResponse404 | CreateDeviceAuthenticationTokenResponse500;
    /**
     * Typing for a response with status 201 to the request made by createDeviceAuthenticationToken()
     * @category createDeviceAuthenticationToken()
     */
    interface CreateDeviceAuthenticationTokenResponse201 extends SuccessResponse {
        status: 201;
        headers?: {
            [k: string]: string | undefined;
        };
        body: string;
    }
    /**
     * Typing for a response with status 400 to the request made by createDeviceAuthenticationToken()
     * @category createDeviceAuthenticationToken()
     */
    interface CreateDeviceAuthenticationTokenResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by createDeviceAuthenticationToken()
     * @category createDeviceAuthenticationToken()
     */
    interface CreateDeviceAuthenticationTokenResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by createDeviceAuthenticationToken()
     * @category createDeviceAuthenticationToken()
     */
    interface CreateDeviceAuthenticationTokenResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by createDeviceAuthenticationToken()
     * @category createDeviceAuthenticationToken()
     */
    interface CreateDeviceAuthenticationTokenResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by createDeviceAuthenticationToken()
     * @category createDeviceAuthenticationToken()
     */
    interface CreateDeviceAuthenticationTokenResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for all possible responses to the request made by listUsers()
     * @category listUsers()
     */
    type ListUsersResponse = ListUsersSuccessResponse | ListUsersErrorResponse;
    /**
     * Typing for all successful responses to the request made by listUsers()
     * @category listUsers()
     */
    type ListUsersSuccessResponse = ListUsersResponse200;
    /**
     * Typing for all error responses to the request made by listUsers()
     * @category listUsers()
     */
    type ListUsersErrorResponse = ListUsersResponse400 | ListUsersResponse401 | ListUsersResponse403 | ListUsersResponse404 | ListUsersResponse500;
    /**
     * Typing for a response with status 200 to the request made by listUsers()
     * @category listUsers()
     */
    interface ListUsersResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: AuthenticationServiceTypes.User<'response'>[];
    }
    /**
     * Typing for a response with status 400 to the request made by listUsers()
     * @category listUsers()
     */
    interface ListUsersResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by listUsers()
     * @category listUsers()
     */
    interface ListUsersResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by listUsers()
     * @category listUsers()
     */
    interface ListUsersResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by listUsers()
     * @category listUsers()
     */
    interface ListUsersResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by listUsers()
     * @category listUsers()
     */
    interface ListUsersResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the body of the request made by createUser()
     * @category createUser()
     */
    type CreateUserBody = AuthenticationServiceTypes.User<'request'>;
    /**
     * Typing for all possible responses to the request made by createUser()
     * @category createUser()
     */
    type CreateUserResponse = CreateUserSuccessResponse | CreateUserErrorResponse;
    /**
     * Typing for all successful responses to the request made by createUser()
     * @category createUser()
     */
    type CreateUserSuccessResponse = CreateUserResponse201;
    /**
     * Typing for all error responses to the request made by createUser()
     * @category createUser()
     */
    type CreateUserErrorResponse = CreateUserResponse400 | CreateUserResponse401 | CreateUserResponse403 | CreateUserResponse404 | CreateUserResponse500;
    /**
     * Typing for a response with status 201 to the request made by createUser()
     * @category createUser()
     */
    interface CreateUserResponse201 extends SuccessResponse {
        status: 201;
        headers?: {
            [k: string]: string | undefined;
        };
        body: AuthenticationServiceTypes.User<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by createUser()
     * @category createUser()
     */
    interface CreateUserResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by createUser()
     * @category createUser()
     */
    interface CreateUserResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by createUser()
     * @category createUser()
     */
    interface CreateUserResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by createUser()
     * @category createUser()
     */
    interface CreateUserResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by createUser()
     * @category createUser()
     */
    interface CreateUserResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by getUser()
     * @category getUser()
     */
    type GetUserParameters = {
        user_id: string;
    };
    /**
     * Typing for all possible responses to the request made by getUser()
     * @category getUser()
     */
    type GetUserResponse = GetUserSuccessResponse | GetUserErrorResponse;
    /**
     * Typing for all successful responses to the request made by getUser()
     * @category getUser()
     */
    type GetUserSuccessResponse = GetUserResponse200;
    /**
     * Typing for all error responses to the request made by getUser()
     * @category getUser()
     */
    type GetUserErrorResponse = GetUserResponse400 | GetUserResponse401 | GetUserResponse403 | GetUserResponse404 | GetUserResponse500;
    /**
     * Typing for a response with status 200 to the request made by getUser()
     * @category getUser()
     */
    interface GetUserResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: AuthenticationServiceTypes.User<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by getUser()
     * @category getUser()
     */
    interface GetUserResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by getUser()
     * @category getUser()
     */
    interface GetUserResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by getUser()
     * @category getUser()
     */
    interface GetUserResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by getUser()
     * @category getUser()
     */
    interface GetUserResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by getUser()
     * @category getUser()
     */
    interface GetUserResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by updateUser()
     * @category updateUser()
     */
    type UpdateUserParameters = {
        user_id: string;
    };
    /**
     * Typing for the body of the request made by updateUser()
     * @category updateUser()
     */
    type UpdateUserBody = AuthenticationServiceTypes.UserUpdate<'request'> | undefined;
    /**
     * Typing for all possible responses to the request made by updateUser()
     * @category updateUser()
     */
    type UpdateUserResponse = UpdateUserSuccessResponse | UpdateUserErrorResponse;
    /**
     * Typing for all successful responses to the request made by updateUser()
     * @category updateUser()
     */
    type UpdateUserSuccessResponse = UpdateUserResponse200;
    /**
     * Typing for all error responses to the request made by updateUser()
     * @category updateUser()
     */
    type UpdateUserErrorResponse = UpdateUserResponse400 | UpdateUserResponse401 | UpdateUserResponse403 | UpdateUserResponse404 | UpdateUserResponse500;
    /**
     * Typing for a response with status 200 to the request made by updateUser()
     * @category updateUser()
     */
    interface UpdateUserResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: AuthenticationServiceTypes.User<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by updateUser()
     * @category updateUser()
     */
    interface UpdateUserResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by updateUser()
     * @category updateUser()
     */
    interface UpdateUserResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by updateUser()
     * @category updateUser()
     */
    interface UpdateUserResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by updateUser()
     * @category updateUser()
     */
    interface UpdateUserResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by updateUser()
     * @category updateUser()
     */
    interface UpdateUserResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by deleteUser()
     * @category deleteUser()
     */
    type DeleteUserParameters = {
        user_id: string;
    };
    /**
     * Typing for all possible responses to the request made by deleteUser()
     * @category deleteUser()
     */
    type DeleteUserResponse = DeleteUserSuccessResponse | DeleteUserErrorResponse;
    /**
     * Typing for all successful responses to the request made by deleteUser()
     * @category deleteUser()
     */
    type DeleteUserSuccessResponse = DeleteUserResponse204;
    /**
     * Typing for all error responses to the request made by deleteUser()
     * @category deleteUser()
     */
    type DeleteUserErrorResponse = DeleteUserResponse400 | DeleteUserResponse401 | DeleteUserResponse403 | DeleteUserResponse404 | DeleteUserResponse500;
    /**
     * Typing for a response with status 204 to the request made by deleteUser()
     * @category deleteUser()
     */
    interface DeleteUserResponse204 extends SuccessResponse {
        status: 204;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 400 to the request made by deleteUser()
     * @category deleteUser()
     */
    interface DeleteUserResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by deleteUser()
     * @category deleteUser()
     */
    interface DeleteUserResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by deleteUser()
     * @category deleteUser()
     */
    interface DeleteUserResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by deleteUser()
     * @category deleteUser()
     */
    interface DeleteUserResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by deleteUser()
     * @category deleteUser()
     */
    interface DeleteUserResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by getRolesOfUser()
     * @category getRolesOfUser()
     */
    type GetRolesOfUserParameters = {
        user_id: string;
    };
    /**
     * Typing for all possible responses to the request made by getRolesOfUser()
     * @category getRolesOfUser()
     */
    type GetRolesOfUserResponse = GetRolesOfUserSuccessResponse | GetRolesOfUserErrorResponse;
    /**
     * Typing for all successful responses to the request made by getRolesOfUser()
     * @category getRolesOfUser()
     */
    type GetRolesOfUserSuccessResponse = GetRolesOfUserResponse200;
    /**
     * Typing for all error responses to the request made by getRolesOfUser()
     * @category getRolesOfUser()
     */
    type GetRolesOfUserErrorResponse = GetRolesOfUserResponse400 | GetRolesOfUserResponse401 | GetRolesOfUserResponse403 | GetRolesOfUserResponse404 | GetRolesOfUserResponse500;
    /**
     * Typing for a response with status 200 to the request made by getRolesOfUser()
     * @category getRolesOfUser()
     */
    interface GetRolesOfUserResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: AuthenticationServiceTypes.Role<'response'>[];
    }
    /**
     * Typing for a response with status 400 to the request made by getRolesOfUser()
     * @category getRolesOfUser()
     */
    interface GetRolesOfUserResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by getRolesOfUser()
     * @category getRolesOfUser()
     */
    interface GetRolesOfUserResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by getRolesOfUser()
     * @category getRolesOfUser()
     */
    interface GetRolesOfUserResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by getRolesOfUser()
     * @category getRolesOfUser()
     */
    interface GetRolesOfUserResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by getRolesOfUser()
     * @category getRolesOfUser()
     */
    interface GetRolesOfUserResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by addRolesToUser()
     * @category addRolesToUser()
     */
    type AddRolesToUserParameters = {
        user_id: string;
    };
    /**
     * Typing for the body of the request made by addRolesToUser()
     * @category addRolesToUser()
     */
    type AddRolesToUserBody = string[] | undefined;
    /**
     * Typing for all possible responses to the request made by addRolesToUser()
     * @category addRolesToUser()
     */
    type AddRolesToUserResponse = AddRolesToUserSuccessResponse | AddRolesToUserErrorResponse;
    /**
     * Typing for all successful responses to the request made by addRolesToUser()
     * @category addRolesToUser()
     */
    type AddRolesToUserSuccessResponse = AddRolesToUserResponse204;
    /**
     * Typing for all error responses to the request made by addRolesToUser()
     * @category addRolesToUser()
     */
    type AddRolesToUserErrorResponse = AddRolesToUserResponse400 | AddRolesToUserResponse401 | AddRolesToUserResponse403 | AddRolesToUserResponse404 | AddRolesToUserResponse500;
    /**
     * Typing for a response with status 204 to the request made by addRolesToUser()
     * @category addRolesToUser()
     */
    interface AddRolesToUserResponse204 extends SuccessResponse {
        status: 204;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 400 to the request made by addRolesToUser()
     * @category addRolesToUser()
     */
    interface AddRolesToUserResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by addRolesToUser()
     * @category addRolesToUser()
     */
    interface AddRolesToUserResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by addRolesToUser()
     * @category addRolesToUser()
     */
    interface AddRolesToUserResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by addRolesToUser()
     * @category addRolesToUser()
     */
    interface AddRolesToUserResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by addRolesToUser()
     * @category addRolesToUser()
     */
    interface AddRolesToUserResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by removeRolesFromUser()
     * @category removeRolesFromUser()
     */
    type RemoveRolesFromUserParameters = {
        user_id: string;
    };
    /**
     * Typing for the body of the request made by removeRolesFromUser()
     * @category removeRolesFromUser()
     */
    type RemoveRolesFromUserBody = string[] | undefined;
    /**
     * Typing for all possible responses to the request made by removeRolesFromUser()
     * @category removeRolesFromUser()
     */
    type RemoveRolesFromUserResponse = RemoveRolesFromUserSuccessResponse | RemoveRolesFromUserErrorResponse;
    /**
     * Typing for all successful responses to the request made by removeRolesFromUser()
     * @category removeRolesFromUser()
     */
    type RemoveRolesFromUserSuccessResponse = RemoveRolesFromUserResponse204;
    /**
     * Typing for all error responses to the request made by removeRolesFromUser()
     * @category removeRolesFromUser()
     */
    type RemoveRolesFromUserErrorResponse = RemoveRolesFromUserResponse400 | RemoveRolesFromUserResponse401 | RemoveRolesFromUserResponse403 | RemoveRolesFromUserResponse404 | RemoveRolesFromUserResponse500;
    /**
     * Typing for a response with status 204 to the request made by removeRolesFromUser()
     * @category removeRolesFromUser()
     */
    interface RemoveRolesFromUserResponse204 extends SuccessResponse {
        status: 204;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 400 to the request made by removeRolesFromUser()
     * @category removeRolesFromUser()
     */
    interface RemoveRolesFromUserResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by removeRolesFromUser()
     * @category removeRolesFromUser()
     */
    interface RemoveRolesFromUserResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by removeRolesFromUser()
     * @category removeRolesFromUser()
     */
    interface RemoveRolesFromUserResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by removeRolesFromUser()
     * @category removeRolesFromUser()
     */
    interface RemoveRolesFromUserResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by removeRolesFromUser()
     * @category removeRolesFromUser()
     */
    interface RemoveRolesFromUserResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for all possible responses to the request made by listRoles()
     * @category listRoles()
     */
    type ListRolesResponse = ListRolesSuccessResponse | ListRolesErrorResponse;
    /**
     * Typing for all successful responses to the request made by listRoles()
     * @category listRoles()
     */
    type ListRolesSuccessResponse = ListRolesResponse200;
    /**
     * Typing for all error responses to the request made by listRoles()
     * @category listRoles()
     */
    type ListRolesErrorResponse = ListRolesResponse400 | ListRolesResponse401 | ListRolesResponse403 | ListRolesResponse404 | ListRolesResponse500;
    /**
     * Typing for a response with status 200 to the request made by listRoles()
     * @category listRoles()
     */
    interface ListRolesResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: AuthenticationServiceTypes.Role<'response'>[];
    }
    /**
     * Typing for a response with status 400 to the request made by listRoles()
     * @category listRoles()
     */
    interface ListRolesResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by listRoles()
     * @category listRoles()
     */
    interface ListRolesResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by listRoles()
     * @category listRoles()
     */
    interface ListRolesResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by listRoles()
     * @category listRoles()
     */
    interface ListRolesResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by listRoles()
     * @category listRoles()
     */
    interface ListRolesResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the body of the request made by createRole()
     * @category createRole()
     */
    type CreateRoleBody = AuthenticationServiceTypes.Role<'request'> | undefined;
    /**
     * Typing for all possible responses to the request made by createRole()
     * @category createRole()
     */
    type CreateRoleResponse = CreateRoleSuccessResponse | CreateRoleErrorResponse;
    /**
     * Typing for all successful responses to the request made by createRole()
     * @category createRole()
     */
    type CreateRoleSuccessResponse = CreateRoleResponse201;
    /**
     * Typing for all error responses to the request made by createRole()
     * @category createRole()
     */
    type CreateRoleErrorResponse = CreateRoleResponse400 | CreateRoleResponse401 | CreateRoleResponse403 | CreateRoleResponse404 | CreateRoleResponse500;
    /**
     * Typing for a response with status 201 to the request made by createRole()
     * @category createRole()
     */
    interface CreateRoleResponse201 extends SuccessResponse {
        status: 201;
        headers?: {
            [k: string]: string | undefined;
        };
        body: AuthenticationServiceTypes.Role<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by createRole()
     * @category createRole()
     */
    interface CreateRoleResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by createRole()
     * @category createRole()
     */
    interface CreateRoleResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by createRole()
     * @category createRole()
     */
    interface CreateRoleResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by createRole()
     * @category createRole()
     */
    interface CreateRoleResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by createRole()
     * @category createRole()
     */
    interface CreateRoleResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by getRole()
     * @category getRole()
     */
    type GetRoleParameters = {
        role_id: string;
    };
    /**
     * Typing for all possible responses to the request made by getRole()
     * @category getRole()
     */
    type GetRoleResponse = GetRoleSuccessResponse | GetRoleErrorResponse;
    /**
     * Typing for all successful responses to the request made by getRole()
     * @category getRole()
     */
    type GetRoleSuccessResponse = GetRoleResponse200;
    /**
     * Typing for all error responses to the request made by getRole()
     * @category getRole()
     */
    type GetRoleErrorResponse = GetRoleResponse400 | GetRoleResponse401 | GetRoleResponse403 | GetRoleResponse404 | GetRoleResponse500;
    /**
     * Typing for a response with status 200 to the request made by getRole()
     * @category getRole()
     */
    interface GetRoleResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: AuthenticationServiceTypes.Role<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by getRole()
     * @category getRole()
     */
    interface GetRoleResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by getRole()
     * @category getRole()
     */
    interface GetRoleResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by getRole()
     * @category getRole()
     */
    interface GetRoleResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by getRole()
     * @category getRole()
     */
    interface GetRoleResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by getRole()
     * @category getRole()
     */
    interface GetRoleResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by updateRole()
     * @category updateRole()
     */
    type UpdateRoleParameters = {
        role_id: string;
    };
    /**
     * Typing for the body of the request made by updateRole()
     * @category updateRole()
     */
    type UpdateRoleBody = AuthenticationServiceTypes.Role<'request'> | undefined;
    /**
     * Typing for all possible responses to the request made by updateRole()
     * @category updateRole()
     */
    type UpdateRoleResponse = UpdateRoleSuccessResponse | UpdateRoleErrorResponse;
    /**
     * Typing for all successful responses to the request made by updateRole()
     * @category updateRole()
     */
    type UpdateRoleSuccessResponse = UpdateRoleResponse200;
    /**
     * Typing for all error responses to the request made by updateRole()
     * @category updateRole()
     */
    type UpdateRoleErrorResponse = UpdateRoleResponse400 | UpdateRoleResponse401 | UpdateRoleResponse403 | UpdateRoleResponse404 | UpdateRoleResponse500;
    /**
     * Typing for a response with status 200 to the request made by updateRole()
     * @category updateRole()
     */
    interface UpdateRoleResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: AuthenticationServiceTypes.Role<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by updateRole()
     * @category updateRole()
     */
    interface UpdateRoleResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by updateRole()
     * @category updateRole()
     */
    interface UpdateRoleResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by updateRole()
     * @category updateRole()
     */
    interface UpdateRoleResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by updateRole()
     * @category updateRole()
     */
    interface UpdateRoleResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by updateRole()
     * @category updateRole()
     */
    interface UpdateRoleResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by deleteRole()
     * @category deleteRole()
     */
    type DeleteRoleParameters = {
        role_id: string;
    };
    /**
     * Typing for all possible responses to the request made by deleteRole()
     * @category deleteRole()
     */
    type DeleteRoleResponse = DeleteRoleSuccessResponse | DeleteRoleErrorResponse;
    /**
     * Typing for all successful responses to the request made by deleteRole()
     * @category deleteRole()
     */
    type DeleteRoleSuccessResponse = DeleteRoleResponse204;
    /**
     * Typing for all error responses to the request made by deleteRole()
     * @category deleteRole()
     */
    type DeleteRoleErrorResponse = DeleteRoleResponse400 | DeleteRoleResponse401 | DeleteRoleResponse403 | DeleteRoleResponse404 | DeleteRoleResponse500;
    /**
     * Typing for a response with status 204 to the request made by deleteRole()
     * @category deleteRole()
     */
    interface DeleteRoleResponse204 extends SuccessResponse {
        status: 204;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 400 to the request made by deleteRole()
     * @category deleteRole()
     */
    interface DeleteRoleResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by deleteRole()
     * @category deleteRole()
     */
    interface DeleteRoleResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by deleteRole()
     * @category deleteRole()
     */
    interface DeleteRoleResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by deleteRole()
     * @category deleteRole()
     */
    interface DeleteRoleResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by deleteRole()
     * @category deleteRole()
     */
    interface DeleteRoleResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by getUsersWithRole()
     * @category getUsersWithRole()
     */
    type GetUsersWithRoleParameters = {
        role_id: string;
    };
    /**
     * Typing for all possible responses to the request made by getUsersWithRole()
     * @category getUsersWithRole()
     */
    type GetUsersWithRoleResponse = GetUsersWithRoleSuccessResponse | GetUsersWithRoleErrorResponse;
    /**
     * Typing for all successful responses to the request made by getUsersWithRole()
     * @category getUsersWithRole()
     */
    type GetUsersWithRoleSuccessResponse = GetUsersWithRoleResponse200;
    /**
     * Typing for all error responses to the request made by getUsersWithRole()
     * @category getUsersWithRole()
     */
    type GetUsersWithRoleErrorResponse = GetUsersWithRoleResponse400 | GetUsersWithRoleResponse401 | GetUsersWithRoleResponse403 | GetUsersWithRoleResponse404 | GetUsersWithRoleResponse500;
    /**
     * Typing for a response with status 200 to the request made by getUsersWithRole()
     * @category getUsersWithRole()
     */
    interface GetUsersWithRoleResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: AuthenticationServiceTypes.User<'response'>[];
    }
    /**
     * Typing for a response with status 400 to the request made by getUsersWithRole()
     * @category getUsersWithRole()
     */
    interface GetUsersWithRoleResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by getUsersWithRole()
     * @category getUsersWithRole()
     */
    interface GetUsersWithRoleResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by getUsersWithRole()
     * @category getUsersWithRole()
     */
    interface GetUsersWithRoleResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by getUsersWithRole()
     * @category getUsersWithRole()
     */
    interface GetUsersWithRoleResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by getUsersWithRole()
     * @category getUsersWithRole()
     */
    interface GetUsersWithRoleResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by addUsersToRole()
     * @category addUsersToRole()
     */
    type AddUsersToRoleParameters = {
        role_id: string;
    };
    /**
     * Typing for the body of the request made by addUsersToRole()
     * @category addUsersToRole()
     */
    type AddUsersToRoleBody = string[] | undefined;
    /**
     * Typing for all possible responses to the request made by addUsersToRole()
     * @category addUsersToRole()
     */
    type AddUsersToRoleResponse = AddUsersToRoleSuccessResponse | AddUsersToRoleErrorResponse;
    /**
     * Typing for all successful responses to the request made by addUsersToRole()
     * @category addUsersToRole()
     */
    type AddUsersToRoleSuccessResponse = AddUsersToRoleResponse204;
    /**
     * Typing for all error responses to the request made by addUsersToRole()
     * @category addUsersToRole()
     */
    type AddUsersToRoleErrorResponse = AddUsersToRoleResponse400 | AddUsersToRoleResponse401 | AddUsersToRoleResponse403 | AddUsersToRoleResponse404 | AddUsersToRoleResponse500;
    /**
     * Typing for a response with status 204 to the request made by addUsersToRole()
     * @category addUsersToRole()
     */
    interface AddUsersToRoleResponse204 extends SuccessResponse {
        status: 204;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 400 to the request made by addUsersToRole()
     * @category addUsersToRole()
     */
    interface AddUsersToRoleResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by addUsersToRole()
     * @category addUsersToRole()
     */
    interface AddUsersToRoleResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by addUsersToRole()
     * @category addUsersToRole()
     */
    interface AddUsersToRoleResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by addUsersToRole()
     * @category addUsersToRole()
     */
    interface AddUsersToRoleResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by addUsersToRole()
     * @category addUsersToRole()
     */
    interface AddUsersToRoleResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by removeUsersFromRole()
     * @category removeUsersFromRole()
     */
    type RemoveUsersFromRoleParameters = {
        role_id: string;
    };
    /**
     * Typing for the body of the request made by removeUsersFromRole()
     * @category removeUsersFromRole()
     */
    type RemoveUsersFromRoleBody = string[] | undefined;
    /**
     * Typing for all possible responses to the request made by removeUsersFromRole()
     * @category removeUsersFromRole()
     */
    type RemoveUsersFromRoleResponse = RemoveUsersFromRoleSuccessResponse | RemoveUsersFromRoleErrorResponse;
    /**
     * Typing for all successful responses to the request made by removeUsersFromRole()
     * @category removeUsersFromRole()
     */
    type RemoveUsersFromRoleSuccessResponse = RemoveUsersFromRoleResponse204;
    /**
     * Typing for all error responses to the request made by removeUsersFromRole()
     * @category removeUsersFromRole()
     */
    type RemoveUsersFromRoleErrorResponse = RemoveUsersFromRoleResponse400 | RemoveUsersFromRoleResponse401 | RemoveUsersFromRoleResponse403 | RemoveUsersFromRoleResponse404 | RemoveUsersFromRoleResponse500;
    /**
     * Typing for a response with status 204 to the request made by removeUsersFromRole()
     * @category removeUsersFromRole()
     */
    interface RemoveUsersFromRoleResponse204 extends SuccessResponse {
        status: 204;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 400 to the request made by removeUsersFromRole()
     * @category removeUsersFromRole()
     */
    interface RemoveUsersFromRoleResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by removeUsersFromRole()
     * @category removeUsersFromRole()
     */
    interface RemoveUsersFromRoleResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by removeUsersFromRole()
     * @category removeUsersFromRole()
     */
    interface RemoveUsersFromRoleResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by removeUsersFromRole()
     * @category removeUsersFromRole()
     */
    interface RemoveUsersFromRoleResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by removeUsersFromRole()
     * @category removeUsersFromRole()
     */
    interface RemoveUsersFromRoleResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for all possible responses to the request made by getIdentity()
     * @category getIdentity()
     */
    type GetIdentityResponse = GetIdentitySuccessResponse | GetIdentityErrorResponse;
    /**
     * Typing for all successful responses to the request made by getIdentity()
     * @category getIdentity()
     */
    type GetIdentitySuccessResponse = GetIdentityResponse200;
    /**
     * Typing for all error responses to the request made by getIdentity()
     * @category getIdentity()
     */
    type GetIdentityErrorResponse = GetIdentityResponse400 | GetIdentityResponse401 | GetIdentityResponse403 | GetIdentityResponse404 | GetIdentityResponse500;
    /**
     * Typing for a response with status 200 to the request made by getIdentity()
     * @category getIdentity()
     */
    interface GetIdentityResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: AuthenticationServiceTypes.User<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by getIdentity()
     * @category getIdentity()
     */
    interface GetIdentityResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by getIdentity()
     * @category getIdentity()
     */
    interface GetIdentityResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by getIdentity()
     * @category getIdentity()
     */
    interface GetIdentityResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by getIdentity()
     * @category getIdentity()
     */
    interface GetIdentityResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by getIdentity()
     * @category getIdentity()
     */
    interface GetIdentityResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the body of the request made by updateIdentity()
     * @category updateIdentity()
     */
    type UpdateIdentityBody = AuthenticationServiceTypes.UserUpdate<'request'> | undefined;
    /**
     * Typing for all possible responses to the request made by updateIdentity()
     * @category updateIdentity()
     */
    type UpdateIdentityResponse = UpdateIdentitySuccessResponse | UpdateIdentityErrorResponse;
    /**
     * Typing for all successful responses to the request made by updateIdentity()
     * @category updateIdentity()
     */
    type UpdateIdentitySuccessResponse = UpdateIdentityResponse200;
    /**
     * Typing for all error responses to the request made by updateIdentity()
     * @category updateIdentity()
     */
    type UpdateIdentityErrorResponse = UpdateIdentityResponse400 | UpdateIdentityResponse401 | UpdateIdentityResponse403 | UpdateIdentityResponse404 | UpdateIdentityResponse500;
    /**
     * Typing for a response with status 200 to the request made by updateIdentity()
     * @category updateIdentity()
     */
    interface UpdateIdentityResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: AuthenticationServiceTypes.User<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by updateIdentity()
     * @category updateIdentity()
     */
    interface UpdateIdentityResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by updateIdentity()
     * @category updateIdentity()
     */
    interface UpdateIdentityResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by updateIdentity()
     * @category updateIdentity()
     */
    interface UpdateIdentityResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by updateIdentity()
     * @category updateIdentity()
     */
    interface UpdateIdentityResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by updateIdentity()
     * @category updateIdentity()
     */
    interface UpdateIdentityResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the body of the request made by register()
     * @category register()
     */
    type RegisterBody = AuthenticationServiceTypes.Credentials<'request'> & {
        [k: string]: unknown;
    };
    /**
     * Typing for all possible responses to the request made by register()
     * @category register()
     */
    type RegisterResponse = RegisterSuccessResponse | RegisterErrorResponse;
    /**
     * Typing for all successful responses to the request made by register()
     * @category register()
     */
    type RegisterSuccessResponse = RegisterResponse201;
    /**
     * Typing for all error responses to the request made by register()
     * @category register()
     */
    type RegisterErrorResponse = RegisterResponse400 | RegisterResponse401 | RegisterResponse403 | RegisterResponse404 | RegisterResponse500;
    /**
     * Typing for a response with status 201 to the request made by register()
     * @category register()
     */
    interface RegisterResponse201 extends SuccessResponse {
        status: 201;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 400 to the request made by register()
     * @category register()
     */
    interface RegisterResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by register()
     * @category register()
     */
    interface RegisterResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by register()
     * @category register()
     */
    interface RegisterResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by register()
     * @category register()
     */
    interface RegisterResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by register()
     * @category register()
     */
    interface RegisterResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
}
/**
 * Namespace containing the signatures for the Booking Service.
 */
export declare namespace BookingServiceSignatures {
    /**
     * Typing for the body of the request made by getSchedule()
     * @category getSchedule()
     */
    type GetScheduleBody = {
        /**
         * An experiment describes a set of devices and how they should be connected (potentially among other metadata).
         */
        Experiment: BookingServiceTypes.Experiment<'request'>;
        /**
         * A time slot represents a slice of time used for bookings.
         */
        Time: BookingServiceTypes.Timeslot<'request'>;
        /**
         * If true, show only one timetable per device instead of one for all available physical devices.
         */
        Combined?: boolean;
        /**
         * (private) Show only devices of this institution. Give an error if a device of an other institution is requested.
         */
        onlyOwn?: boolean;
        [k: string]: unknown;
    } | undefined;
    /**
     * Typing for all possible responses to the request made by getSchedule()
     * @category getSchedule()
     */
    type GetScheduleResponse = GetScheduleSuccessResponse | GetScheduleErrorResponse;
    /**
     * Typing for all successful responses to the request made by getSchedule()
     * @category getSchedule()
     */
    type GetScheduleSuccessResponse = GetScheduleResponse200;
    /**
     * Typing for all error responses to the request made by getSchedule()
     * @category getSchedule()
     */
    type GetScheduleErrorResponse = GetScheduleResponse400 | GetScheduleResponse401 | GetScheduleResponse404 | GetScheduleResponse422 | GetScheduleResponse500 | GetScheduleResponse503;
    /**
     * Typing for a response with status 200 to the request made by getSchedule()
     * @category getSchedule()
     */
    interface GetScheduleResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: {
            /**
             * ID of the device (or * if combined).
             */
            Device: string;
            /**
             * Array of booked times.
             */
            Booked: BookingServiceTypes.Timeslot<'response'>[];
            /**
             * Array of free times.
             */
            Free: BookingServiceTypes.Timeslot<'response'>[];
            [k: string]: unknown;
        }[];
    }
    /**
     * Typing for a response with status 400 to the request made by getSchedule()
     * @category getSchedule()
     */
    interface GetScheduleResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by getSchedule()
     * @category getSchedule()
     */
    interface GetScheduleResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by getSchedule()
     * @category getSchedule()
     */
    interface GetScheduleResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body: string;
    }
    /**
     * Typing for a response with status 422 to the request made by getSchedule()
     * @category getSchedule()
     */
    interface GetScheduleResponse422 extends ErrorResponse {
        status: 422;
        headers?: {
            [k: string]: string | undefined;
        };
        body: string;
    }
    /**
     * Typing for a response with status 500 to the request made by getSchedule()
     * @category getSchedule()
     */
    interface GetScheduleResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body: string;
    }
    /**
     * Typing for a response with status 503 to the request made by getSchedule()
     * @category getSchedule()
     */
    interface GetScheduleResponse503 extends ErrorResponse {
        status: 503;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the body of the request made by bookExperiment()
     * @category bookExperiment()
     */
    type BookExperimentBody = {
        /**
         * An experiment describes a set of devices and how they should be connected (potentially among other metadata).
         */
        Experiment: BookingServiceTypes.Experiment<'request'>;
        /**
         * A time slot represents a slice of time used for bookings.
         */
        Time: BookingServiceTypes.Timeslot<'request'>;
        /**
         * Type of booking. Currently, only one type is defined, but others might follow (e.g. priority booking). If empty, 'normal' is assumed.
         */
        Type?: 'normal';
        [k: string]: unknown;
    } | undefined;
    /**
     * Typing for all possible responses to the request made by bookExperiment()
     * @category bookExperiment()
     */
    type BookExperimentResponse = BookExperimentSuccessResponse | BookExperimentErrorResponse;
    /**
     * Typing for all successful responses to the request made by bookExperiment()
     * @category bookExperiment()
     */
    type BookExperimentSuccessResponse = BookExperimentResponse200;
    /**
     * Typing for all error responses to the request made by bookExperiment()
     * @category bookExperiment()
     */
    type BookExperimentErrorResponse = BookExperimentResponse401 | BookExperimentResponse500 | BookExperimentResponse503;
    /**
     * Typing for a response with status 200 to the request made by bookExperiment()
     * @category bookExperiment()
     */
    interface BookExperimentResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: {
            /**
             * ID at which the booking can be managed.
             */
            BookingID: string;
            [k: string]: unknown;
        };
    }
    /**
     * Typing for a response with status 401 to the request made by bookExperiment()
     * @category bookExperiment()
     */
    interface BookExperimentResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by bookExperiment()
     * @category bookExperiment()
     */
    interface BookExperimentResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body: string;
    }
    /**
     * Typing for a response with status 503 to the request made by bookExperiment()
     * @category bookExperiment()
     */
    interface BookExperimentResponse503 extends ErrorResponse {
        status: 503;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by updateBooking()
     * @category updateBooking()
     */
    type UpdateBookingParameters = {
        ID: string;
    };
    /**
     * Typing for the body of the request made by updateBooking()
     * @category updateBooking()
     */
    type UpdateBookingBody = {
        /**
         * Expresses whether the devices should be locked. Must match current status of booking.
         */
        Locked?: boolean;
        /**
         * List of devices which should be added.
         */
        Devices?: BookingServiceTypes.Device<'request'>[];
        [k: string]: unknown;
    } | {
        /**
         * Callback which should be called at changes.
         */
        Callback?: string;
        [k: string]: unknown;
    };
    /**
     * Typing for all possible responses to the request made by updateBooking()
     * @category updateBooking()
     */
    type UpdateBookingResponse = UpdateBookingSuccessResponse | UpdateBookingErrorResponse;
    /**
     * Typing for all successful responses to the request made by updateBooking()
     * @category updateBooking()
     */
    type UpdateBookingSuccessResponse = UpdateBookingResponse200;
    /**
     * Typing for all error responses to the request made by updateBooking()
     * @category updateBooking()
     */
    type UpdateBookingErrorResponse = UpdateBookingResponse401 | UpdateBookingResponse423 | UpdateBookingResponse500 | UpdateBookingResponse503;
    /**
     * Typing for a response with status 200 to the request made by updateBooking()
     * @category updateBooking()
     */
    interface UpdateBookingResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: {
            BookingID: string;
            [k: string]: unknown;
        };
    }
    /**
     * Typing for a response with status 401 to the request made by updateBooking()
     * @category updateBooking()
     */
    interface UpdateBookingResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 423 to the request made by updateBooking()
     * @category updateBooking()
     */
    interface UpdateBookingResponse423 extends ErrorResponse {
        status: 423;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by updateBooking()
     * @category updateBooking()
     */
    interface UpdateBookingResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body: string;
    }
    /**
     * Typing for a response with status 503 to the request made by updateBooking()
     * @category updateBooking()
     */
    interface UpdateBookingResponse503 extends ErrorResponse {
        status: 503;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by cancelBooking()
     * @category cancelBooking()
     */
    type CancelBookingParameters = {
        ID: string;
    };
    /**
     * Typing for all possible responses to the request made by cancelBooking()
     * @category cancelBooking()
     */
    type CancelBookingResponse = CancelBookingSuccessResponse | CancelBookingErrorResponse;
    /**
     * Typing for all successful responses to the request made by cancelBooking()
     * @category cancelBooking()
     */
    type CancelBookingSuccessResponse = CancelBookingResponse200;
    /**
     * Typing for all error responses to the request made by cancelBooking()
     * @category cancelBooking()
     */
    type CancelBookingErrorResponse = CancelBookingResponse401 | CancelBookingResponse404 | CancelBookingResponse423 | CancelBookingResponse500 | CancelBookingResponse503;
    /**
     * Typing for a response with status 200 to the request made by cancelBooking()
     * @category cancelBooking()
     */
    interface CancelBookingResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by cancelBooking()
     * @category cancelBooking()
     */
    interface CancelBookingResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by cancelBooking()
     * @category cancelBooking()
     */
    interface CancelBookingResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 423 to the request made by cancelBooking()
     * @category cancelBooking()
     */
    interface CancelBookingResponse423 extends ErrorResponse {
        status: 423;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by cancelBooking()
     * @category cancelBooking()
     */
    interface CancelBookingResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body: string;
    }
    /**
     * Typing for a response with status 503 to the request made by cancelBooking()
     * @category cancelBooking()
     */
    interface CancelBookingResponse503 extends ErrorResponse {
        status: 503;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by getBooking()
     * @category getBooking()
     */
    type GetBookingParameters = {
        ID: string;
    };
    /**
     * Typing for all possible responses to the request made by getBooking()
     * @category getBooking()
     */
    type GetBookingResponse = GetBookingSuccessResponse | GetBookingErrorResponse;
    /**
     * Typing for all successful responses to the request made by getBooking()
     * @category getBooking()
     */
    type GetBookingSuccessResponse = GetBookingResponse200;
    /**
     * Typing for all error responses to the request made by getBooking()
     * @category getBooking()
     */
    type GetBookingErrorResponse = GetBookingResponse401 | GetBookingResponse404 | GetBookingResponse500 | GetBookingResponse503;
    /**
     * Typing for a response with status 200 to the request made by getBooking()
     * @category getBooking()
     */
    interface GetBookingResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: {
            /**
             * A booking in the booking system.
             */
            Booking: BookingServiceTypes.Booking<'response'>;
            /**
             * Shows if the booking is in a locked status.
             */
            Locked: boolean;
            [k: string]: unknown;
        };
    }
    /**
     * Typing for a response with status 401 to the request made by getBooking()
     * @category getBooking()
     */
    interface GetBookingResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by getBooking()
     * @category getBooking()
     */
    interface GetBookingResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by getBooking()
     * @category getBooking()
     */
    interface GetBookingResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body: string;
    }
    /**
     * Typing for a response with status 503 to the request made by getBooking()
     * @category getBooking()
     */
    interface GetBookingResponse503 extends ErrorResponse {
        status: 503;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by deleteBooking()
     * @category deleteBooking()
     */
    type DeleteBookingParameters = {
        ID: string;
    };
    /**
     * Typing for all possible responses to the request made by deleteBooking()
     * @category deleteBooking()
     */
    type DeleteBookingResponse = DeleteBookingSuccessResponse | DeleteBookingErrorResponse;
    /**
     * Typing for all successful responses to the request made by deleteBooking()
     * @category deleteBooking()
     */
    type DeleteBookingSuccessResponse = DeleteBookingResponse200;
    /**
     * Typing for all error responses to the request made by deleteBooking()
     * @category deleteBooking()
     */
    type DeleteBookingErrorResponse = DeleteBookingResponse401 | DeleteBookingResponse404 | DeleteBookingResponse423 | DeleteBookingResponse500 | DeleteBookingResponse503;
    /**
     * Typing for a response with status 200 to the request made by deleteBooking()
     * @category deleteBooking()
     */
    interface DeleteBookingResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by deleteBooking()
     * @category deleteBooking()
     */
    interface DeleteBookingResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by deleteBooking()
     * @category deleteBooking()
     */
    interface DeleteBookingResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 423 to the request made by deleteBooking()
     * @category deleteBooking()
     */
    interface DeleteBookingResponse423 extends ErrorResponse {
        status: 423;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by deleteBooking()
     * @category deleteBooking()
     */
    interface DeleteBookingResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body: string;
    }
    /**
     * Typing for a response with status 503 to the request made by deleteBooking()
     * @category deleteBooking()
     */
    interface DeleteBookingResponse503 extends ErrorResponse {
        status: 503;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by lockBooking()
     * @category lockBooking()
     */
    type LockBookingParameters = {
        ID: string;
    };
    /**
     * Typing for all possible responses to the request made by lockBooking()
     * @category lockBooking()
     */
    type LockBookingResponse = LockBookingSuccessResponse | LockBookingErrorResponse;
    /**
     * Typing for all successful responses to the request made by lockBooking()
     * @category lockBooking()
     */
    type LockBookingSuccessResponse = LockBookingResponse200;
    /**
     * Typing for all error responses to the request made by lockBooking()
     * @category lockBooking()
     */
    type LockBookingErrorResponse = LockBookingResponse401 | LockBookingResponse404 | LockBookingResponse500 | LockBookingResponse503;
    /**
     * Typing for a response with status 200 to the request made by lockBooking()
     * @category lockBooking()
     */
    interface LockBookingResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: {
            /**
             * A booking in the booking system.
             */
            Booking: BookingServiceTypes.Booking<'response'>;
            /**
             * A time slot represents a slice of time used for bookings.
             */
            Time: BookingServiceTypes.Timeslot<'response'>;
            /**
             * A list of access tokens
             */
            Tokens: {
                Device?: string;
                Token?: string;
                [k: string]: unknown;
            }[];
            [k: string]: unknown;
        };
    }
    /**
     * Typing for a response with status 401 to the request made by lockBooking()
     * @category lockBooking()
     */
    interface LockBookingResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by lockBooking()
     * @category lockBooking()
     */
    interface LockBookingResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by lockBooking()
     * @category lockBooking()
     */
    interface LockBookingResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body: string;
    }
    /**
     * Typing for a response with status 503 to the request made by lockBooking()
     * @category lockBooking()
     */
    interface LockBookingResponse503 extends ErrorResponse {
        status: 503;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by unlockBooking()
     * @category unlockBooking()
     */
    type UnlockBookingParameters = {
        ID: string;
    };
    /**
     * Typing for all possible responses to the request made by unlockBooking()
     * @category unlockBooking()
     */
    type UnlockBookingResponse = UnlockBookingSuccessResponse | UnlockBookingErrorResponse;
    /**
     * Typing for all successful responses to the request made by unlockBooking()
     * @category unlockBooking()
     */
    type UnlockBookingSuccessResponse = UnlockBookingResponse200;
    /**
     * Typing for all error responses to the request made by unlockBooking()
     * @category unlockBooking()
     */
    type UnlockBookingErrorResponse = UnlockBookingResponse401 | UnlockBookingResponse404 | UnlockBookingResponse500 | UnlockBookingResponse503;
    /**
     * Typing for a response with status 200 to the request made by unlockBooking()
     * @category unlockBooking()
     */
    interface UnlockBookingResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by unlockBooking()
     * @category unlockBooking()
     */
    interface UnlockBookingResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by unlockBooking()
     * @category unlockBooking()
     */
    interface UnlockBookingResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by unlockBooking()
     * @category unlockBooking()
     */
    interface UnlockBookingResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body: string;
    }
    /**
     * Typing for a response with status 503 to the request made by unlockBooking()
     * @category unlockBooking()
     */
    interface UnlockBookingResponse503 extends ErrorResponse {
        status: 503;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
}
/**
 * Namespace containing the signatures for the Device Service.
 */
export declare namespace DeviceServiceSignatures {
    /**
     * Typing for all possible responses to the request made by listDevices()
     * @category listDevices()
     */
    type ListDevicesResponse = ListDevicesSuccessResponse | ListDevicesErrorResponse;
    /**
     * Typing for all successful responses to the request made by listDevices()
     * @category listDevices()
     */
    type ListDevicesSuccessResponse = ListDevicesResponse200;
    /**
     * Typing for all error responses to the request made by listDevices()
     * @category listDevices()
     */
    type ListDevicesErrorResponse = ListDevicesResponse400 | ListDevicesResponse401 | ListDevicesResponse403 | ListDevicesResponse404 | ListDevicesResponse500;
    /**
     * Typing for a response with status 200 to the request made by listDevices()
     * @category listDevices()
     */
    interface ListDevicesResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: DeviceServiceTypes.DeviceOverview<'response'>[];
    }
    /**
     * Typing for a response with status 400 to the request made by listDevices()
     * @category listDevices()
     */
    interface ListDevicesResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by listDevices()
     * @category listDevices()
     */
    interface ListDevicesResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by listDevices()
     * @category listDevices()
     */
    interface ListDevicesResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by listDevices()
     * @category listDevices()
     */
    interface ListDevicesResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by listDevices()
     * @category listDevices()
     */
    interface ListDevicesResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by createDevice()
     * @category createDevice()
     */
    type CreateDeviceParameters = {
        changedUrl?: string;
    };
    /**
     * Typing for the body of the request made by createDevice()
     * @category createDevice()
     */
    type CreateDeviceBody = DeviceServiceTypes.Device<'request'>;
    /**
     * Typing for all possible responses to the request made by createDevice()
     * @category createDevice()
     */
    type CreateDeviceResponse = CreateDeviceSuccessResponse | CreateDeviceErrorResponse;
    /**
     * Typing for all successful responses to the request made by createDevice()
     * @category createDevice()
     */
    type CreateDeviceSuccessResponse = CreateDeviceResponse201;
    /**
     * Typing for all error responses to the request made by createDevice()
     * @category createDevice()
     */
    type CreateDeviceErrorResponse = CreateDeviceResponse400 | CreateDeviceResponse401 | CreateDeviceResponse403 | CreateDeviceResponse404 | CreateDeviceResponse500;
    /**
     * Typing for a response with status 201 to the request made by createDevice()
     * @category createDevice()
     */
    interface CreateDeviceResponse201 extends SuccessResponse {
        status: 201;
        headers?: {
            [k: string]: string | undefined;
        };
        body: DeviceServiceTypes.Device<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by createDevice()
     * @category createDevice()
     */
    interface CreateDeviceResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by createDevice()
     * @category createDevice()
     */
    interface CreateDeviceResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by createDevice()
     * @category createDevice()
     */
    interface CreateDeviceResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by createDevice()
     * @category createDevice()
     */
    interface CreateDeviceResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by createDevice()
     * @category createDevice()
     */
    interface CreateDeviceResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by getDevice()
     * @category getDevice()
     */
    type GetDeviceParameters = {
        device_id: string;
        flat_group?: boolean;
    };
    /**
     * Typing for all possible responses to the request made by getDevice()
     * @category getDevice()
     */
    type GetDeviceResponse = GetDeviceSuccessResponse | GetDeviceErrorResponse;
    /**
     * Typing for all successful responses to the request made by getDevice()
     * @category getDevice()
     */
    type GetDeviceSuccessResponse = GetDeviceResponse200;
    /**
     * Typing for all error responses to the request made by getDevice()
     * @category getDevice()
     */
    type GetDeviceErrorResponse = GetDeviceResponse400 | GetDeviceResponse401 | GetDeviceResponse403 | GetDeviceResponse404 | GetDeviceResponse500;
    /**
     * Typing for a response with status 200 to the request made by getDevice()
     * @category getDevice()
     */
    interface GetDeviceResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: DeviceServiceTypes.Device<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by getDevice()
     * @category getDevice()
     */
    interface GetDeviceResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by getDevice()
     * @category getDevice()
     */
    interface GetDeviceResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by getDevice()
     * @category getDevice()
     */
    interface GetDeviceResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by getDevice()
     * @category getDevice()
     */
    interface GetDeviceResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by getDevice()
     * @category getDevice()
     */
    interface GetDeviceResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by updateDevice()
     * @category updateDevice()
     */
    type UpdateDeviceParameters = {
        device_id: string;
        changedUrl?: string;
    };
    /**
     * Typing for the body of the request made by updateDevice()
     * @category updateDevice()
     */
    type UpdateDeviceBody = DeviceServiceTypes.DeviceUpdate<'request'> | undefined;
    /**
     * Typing for all possible responses to the request made by updateDevice()
     * @category updateDevice()
     */
    type UpdateDeviceResponse = UpdateDeviceSuccessResponse | UpdateDeviceErrorResponse;
    /**
     * Typing for all successful responses to the request made by updateDevice()
     * @category updateDevice()
     */
    type UpdateDeviceSuccessResponse = UpdateDeviceResponse200;
    /**
     * Typing for all error responses to the request made by updateDevice()
     * @category updateDevice()
     */
    type UpdateDeviceErrorResponse = UpdateDeviceResponse400 | UpdateDeviceResponse401 | UpdateDeviceResponse403 | UpdateDeviceResponse404 | UpdateDeviceResponse500;
    /**
     * Typing for a response with status 200 to the request made by updateDevice()
     * @category updateDevice()
     */
    interface UpdateDeviceResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: DeviceServiceTypes.Device<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by updateDevice()
     * @category updateDevice()
     */
    interface UpdateDeviceResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by updateDevice()
     * @category updateDevice()
     */
    interface UpdateDeviceResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by updateDevice()
     * @category updateDevice()
     */
    interface UpdateDeviceResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by updateDevice()
     * @category updateDevice()
     */
    interface UpdateDeviceResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by updateDevice()
     * @category updateDevice()
     */
    interface UpdateDeviceResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by deleteDevice()
     * @category deleteDevice()
     */
    type DeleteDeviceParameters = {
        device_id: string;
    };
    /**
     * Typing for all possible responses to the request made by deleteDevice()
     * @category deleteDevice()
     */
    type DeleteDeviceResponse = DeleteDeviceSuccessResponse | DeleteDeviceErrorResponse;
    /**
     * Typing for all successful responses to the request made by deleteDevice()
     * @category deleteDevice()
     */
    type DeleteDeviceSuccessResponse = DeleteDeviceResponse204;
    /**
     * Typing for all error responses to the request made by deleteDevice()
     * @category deleteDevice()
     */
    type DeleteDeviceErrorResponse = DeleteDeviceResponse400 | DeleteDeviceResponse401 | DeleteDeviceResponse403 | DeleteDeviceResponse404 | DeleteDeviceResponse500;
    /**
     * Typing for a response with status 204 to the request made by deleteDevice()
     * @category deleteDevice()
     */
    interface DeleteDeviceResponse204 extends SuccessResponse {
        status: 204;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 400 to the request made by deleteDevice()
     * @category deleteDevice()
     */
    interface DeleteDeviceResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by deleteDevice()
     * @category deleteDevice()
     */
    interface DeleteDeviceResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by deleteDevice()
     * @category deleteDevice()
     */
    interface DeleteDeviceResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by deleteDevice()
     * @category deleteDevice()
     */
    interface DeleteDeviceResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by deleteDevice()
     * @category deleteDevice()
     */
    interface DeleteDeviceResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by instantiateDevice()
     * @category instantiateDevice()
     */
    type InstantiateDeviceParameters = {
        device_id: string;
        changedUrl?: string;
    };
    /**
     * Typing for all possible responses to the request made by instantiateDevice()
     * @category instantiateDevice()
     */
    type InstantiateDeviceResponse = InstantiateDeviceSuccessResponse | InstantiateDeviceErrorResponse;
    /**
     * Typing for all successful responses to the request made by instantiateDevice()
     * @category instantiateDevice()
     */
    type InstantiateDeviceSuccessResponse = InstantiateDeviceResponse201;
    /**
     * Typing for all error responses to the request made by instantiateDevice()
     * @category instantiateDevice()
     */
    type InstantiateDeviceErrorResponse = InstantiateDeviceResponse400 | InstantiateDeviceResponse401 | InstantiateDeviceResponse403 | InstantiateDeviceResponse404 | InstantiateDeviceResponse500;
    /**
     * Typing for a response with status 201 to the request made by instantiateDevice()
     * @category instantiateDevice()
     */
    interface InstantiateDeviceResponse201 extends SuccessResponse {
        status: 201;
        headers?: {
            [k: string]: string | undefined;
        };
        body: {
            instance: DeviceServiceTypes.ConcreteDevice<'response'>;
            deviceToken: string;
            [k: string]: unknown;
        };
    }
    /**
     * Typing for a response with status 400 to the request made by instantiateDevice()
     * @category instantiateDevice()
     */
    interface InstantiateDeviceResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by instantiateDevice()
     * @category instantiateDevice()
     */
    interface InstantiateDeviceResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by instantiateDevice()
     * @category instantiateDevice()
     */
    interface InstantiateDeviceResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by instantiateDevice()
     * @category instantiateDevice()
     */
    interface InstantiateDeviceResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by instantiateDevice()
     * @category instantiateDevice()
     */
    interface InstantiateDeviceResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by addAvailabilityRules()
     * @category addAvailabilityRules()
     */
    type AddAvailabilityRulesParameters = {
        device_id: string;
    };
    /**
     * Typing for the body of the request made by addAvailabilityRules()
     * @category addAvailabilityRules()
     */
    type AddAvailabilityRulesBody = DeviceServiceTypes.AvailabilityRule<'request'>[] | undefined;
    /**
     * Typing for all possible responses to the request made by addAvailabilityRules()
     * @category addAvailabilityRules()
     */
    type AddAvailabilityRulesResponse = AddAvailabilityRulesSuccessResponse | AddAvailabilityRulesErrorResponse;
    /**
     * Typing for all successful responses to the request made by addAvailabilityRules()
     * @category addAvailabilityRules()
     */
    type AddAvailabilityRulesSuccessResponse = AddAvailabilityRulesResponse200;
    /**
     * Typing for all error responses to the request made by addAvailabilityRules()
     * @category addAvailabilityRules()
     */
    type AddAvailabilityRulesErrorResponse = AddAvailabilityRulesResponse400 | AddAvailabilityRulesResponse401 | AddAvailabilityRulesResponse403 | AddAvailabilityRulesResponse404 | AddAvailabilityRulesResponse500;
    /**
     * Typing for a response with status 200 to the request made by addAvailabilityRules()
     * @category addAvailabilityRules()
     */
    interface AddAvailabilityRulesResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: DeviceServiceTypes.Availability<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by addAvailabilityRules()
     * @category addAvailabilityRules()
     */
    interface AddAvailabilityRulesResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by addAvailabilityRules()
     * @category addAvailabilityRules()
     */
    interface AddAvailabilityRulesResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by addAvailabilityRules()
     * @category addAvailabilityRules()
     */
    interface AddAvailabilityRulesResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by addAvailabilityRules()
     * @category addAvailabilityRules()
     */
    interface AddAvailabilityRulesResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by addAvailabilityRules()
     * @category addAvailabilityRules()
     */
    interface AddAvailabilityRulesResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by createWebsocketToken()
     * @category createWebsocketToken()
     */
    type CreateWebsocketTokenParameters = {
        device_id: string;
    };
    /**
     * Typing for all possible responses to the request made by createWebsocketToken()
     * @category createWebsocketToken()
     */
    type CreateWebsocketTokenResponse = CreateWebsocketTokenSuccessResponse | CreateWebsocketTokenErrorResponse;
    /**
     * Typing for all successful responses to the request made by createWebsocketToken()
     * @category createWebsocketToken()
     */
    type CreateWebsocketTokenSuccessResponse = CreateWebsocketTokenResponse200;
    /**
     * Typing for all error responses to the request made by createWebsocketToken()
     * @category createWebsocketToken()
     */
    type CreateWebsocketTokenErrorResponse = CreateWebsocketTokenResponse400 | CreateWebsocketTokenResponse401 | CreateWebsocketTokenResponse403 | CreateWebsocketTokenResponse404 | CreateWebsocketTokenResponse500;
    /**
     * Typing for a response with status 200 to the request made by createWebsocketToken()
     * @category createWebsocketToken()
     */
    interface CreateWebsocketTokenResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: string;
    }
    /**
     * Typing for a response with status 400 to the request made by createWebsocketToken()
     * @category createWebsocketToken()
     */
    interface CreateWebsocketTokenResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by createWebsocketToken()
     * @category createWebsocketToken()
     */
    interface CreateWebsocketTokenResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by createWebsocketToken()
     * @category createWebsocketToken()
     */
    interface CreateWebsocketTokenResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by createWebsocketToken()
     * @category createWebsocketToken()
     */
    interface CreateWebsocketTokenResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by createWebsocketToken()
     * @category createWebsocketToken()
     */
    interface CreateWebsocketTokenResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by sendSignalingMessage()
     * @category sendSignalingMessage()
     */
    type SendSignalingMessageParameters = {
        device_id: string;
        peerconnection_url: string;
    };
    /**
     * Typing for the body of the request made by sendSignalingMessage()
     * @category sendSignalingMessage()
     */
    type SendSignalingMessageBody = DeviceServiceTypes.CreatePeerconnectionMessage<'request'> | DeviceServiceTypes.ClosePeerconnectionMessage<'request'> | DeviceServiceTypes.SignalingMessage<'request'>;
    /**
     * Typing for all possible responses to the request made by sendSignalingMessage()
     * @category sendSignalingMessage()
     */
    type SendSignalingMessageResponse = SendSignalingMessageSuccessResponse | SendSignalingMessageErrorResponse;
    /**
     * Typing for all successful responses to the request made by sendSignalingMessage()
     * @category sendSignalingMessage()
     */
    type SendSignalingMessageSuccessResponse = SendSignalingMessageResponse200;
    /**
     * Typing for all error responses to the request made by sendSignalingMessage()
     * @category sendSignalingMessage()
     */
    type SendSignalingMessageErrorResponse = SendSignalingMessageResponse400 | SendSignalingMessageResponse401 | SendSignalingMessageResponse403 | SendSignalingMessageResponse404 | SendSignalingMessageResponse500;
    /**
     * Typing for a response with status 200 to the request made by sendSignalingMessage()
     * @category sendSignalingMessage()
     */
    interface SendSignalingMessageResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 400 to the request made by sendSignalingMessage()
     * @category sendSignalingMessage()
     */
    interface SendSignalingMessageResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by sendSignalingMessage()
     * @category sendSignalingMessage()
     */
    interface SendSignalingMessageResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by sendSignalingMessage()
     * @category sendSignalingMessage()
     */
    interface SendSignalingMessageResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by sendSignalingMessage()
     * @category sendSignalingMessage()
     */
    interface SendSignalingMessageResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by sendSignalingMessage()
     * @category sendSignalingMessage()
     */
    interface SendSignalingMessageResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for all possible responses to the request made by listPeerconnections()
     * @category listPeerconnections()
     */
    type ListPeerconnectionsResponse = ListPeerconnectionsSuccessResponse | ListPeerconnectionsErrorResponse;
    /**
     * Typing for all successful responses to the request made by listPeerconnections()
     * @category listPeerconnections()
     */
    type ListPeerconnectionsSuccessResponse = ListPeerconnectionsResponse200;
    /**
     * Typing for all error responses to the request made by listPeerconnections()
     * @category listPeerconnections()
     */
    type ListPeerconnectionsErrorResponse = ListPeerconnectionsResponse400 | ListPeerconnectionsResponse401 | ListPeerconnectionsResponse403 | ListPeerconnectionsResponse404 | ListPeerconnectionsResponse500;
    /**
     * Typing for a response with status 200 to the request made by listPeerconnections()
     * @category listPeerconnections()
     */
    interface ListPeerconnectionsResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: DeviceServiceTypes.PeerconnectionOverview<'response'>[];
    }
    /**
     * Typing for a response with status 400 to the request made by listPeerconnections()
     * @category listPeerconnections()
     */
    interface ListPeerconnectionsResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by listPeerconnections()
     * @category listPeerconnections()
     */
    interface ListPeerconnectionsResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by listPeerconnections()
     * @category listPeerconnections()
     */
    interface ListPeerconnectionsResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by listPeerconnections()
     * @category listPeerconnections()
     */
    interface ListPeerconnectionsResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by listPeerconnections()
     * @category listPeerconnections()
     */
    interface ListPeerconnectionsResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by createPeerconnection()
     * @category createPeerconnection()
     */
    type CreatePeerconnectionParameters = {
        closedUrl?: string;
        statusChangedUrl?: string;
    };
    /**
     * Typing for the body of the request made by createPeerconnection()
     * @category createPeerconnection()
     */
    type CreatePeerconnectionBody = DeviceServiceTypes.Peerconnection<'request'>;
    /**
     * Typing for all possible responses to the request made by createPeerconnection()
     * @category createPeerconnection()
     */
    type CreatePeerconnectionResponse = CreatePeerconnectionSuccessResponse | CreatePeerconnectionErrorResponse;
    /**
     * Typing for all successful responses to the request made by createPeerconnection()
     * @category createPeerconnection()
     */
    type CreatePeerconnectionSuccessResponse = CreatePeerconnectionResponse201 | CreatePeerconnectionResponse202;
    /**
     * Typing for all error responses to the request made by createPeerconnection()
     * @category createPeerconnection()
     */
    type CreatePeerconnectionErrorResponse = CreatePeerconnectionResponse400 | CreatePeerconnectionResponse401 | CreatePeerconnectionResponse403 | CreatePeerconnectionResponse404 | CreatePeerconnectionResponse500;
    /**
     * Typing for a response with status 201 to the request made by createPeerconnection()
     * @category createPeerconnection()
     */
    interface CreatePeerconnectionResponse201 extends SuccessResponse {
        status: 201;
        headers?: {
            [k: string]: string | undefined;
        };
        body: DeviceServiceTypes.Peerconnection<'response'>;
    }
    /**
     * Typing for a response with status 202 to the request made by createPeerconnection()
     * @category createPeerconnection()
     */
    interface CreatePeerconnectionResponse202 extends SuccessResponse {
        status: 202;
        headers?: {
            [k: string]: string | undefined;
        };
        body: DeviceServiceTypes.Peerconnection<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by createPeerconnection()
     * @category createPeerconnection()
     */
    interface CreatePeerconnectionResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by createPeerconnection()
     * @category createPeerconnection()
     */
    interface CreatePeerconnectionResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by createPeerconnection()
     * @category createPeerconnection()
     */
    interface CreatePeerconnectionResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by createPeerconnection()
     * @category createPeerconnection()
     */
    interface CreatePeerconnectionResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by createPeerconnection()
     * @category createPeerconnection()
     */
    interface CreatePeerconnectionResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by getPeerconnection()
     * @category getPeerconnection()
     */
    type GetPeerconnectionParameters = {
        peerconnection_id: string;
    };
    /**
     * Typing for all possible responses to the request made by getPeerconnection()
     * @category getPeerconnection()
     */
    type GetPeerconnectionResponse = GetPeerconnectionSuccessResponse | GetPeerconnectionErrorResponse;
    /**
     * Typing for all successful responses to the request made by getPeerconnection()
     * @category getPeerconnection()
     */
    type GetPeerconnectionSuccessResponse = GetPeerconnectionResponse200;
    /**
     * Typing for all error responses to the request made by getPeerconnection()
     * @category getPeerconnection()
     */
    type GetPeerconnectionErrorResponse = GetPeerconnectionResponse400 | GetPeerconnectionResponse401 | GetPeerconnectionResponse403 | GetPeerconnectionResponse404 | GetPeerconnectionResponse500;
    /**
     * Typing for a response with status 200 to the request made by getPeerconnection()
     * @category getPeerconnection()
     */
    interface GetPeerconnectionResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: DeviceServiceTypes.Peerconnection<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by getPeerconnection()
     * @category getPeerconnection()
     */
    interface GetPeerconnectionResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by getPeerconnection()
     * @category getPeerconnection()
     */
    interface GetPeerconnectionResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by getPeerconnection()
     * @category getPeerconnection()
     */
    interface GetPeerconnectionResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by getPeerconnection()
     * @category getPeerconnection()
     */
    interface GetPeerconnectionResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by getPeerconnection()
     * @category getPeerconnection()
     */
    interface GetPeerconnectionResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by deletePeerconnection()
     * @category deletePeerconnection()
     */
    type DeletePeerconnectionParameters = {
        peerconnection_id: string;
    };
    /**
     * Typing for all possible responses to the request made by deletePeerconnection()
     * @category deletePeerconnection()
     */
    type DeletePeerconnectionResponse = DeletePeerconnectionSuccessResponse | DeletePeerconnectionErrorResponse;
    /**
     * Typing for all successful responses to the request made by deletePeerconnection()
     * @category deletePeerconnection()
     */
    type DeletePeerconnectionSuccessResponse = DeletePeerconnectionResponse204;
    /**
     * Typing for all error responses to the request made by deletePeerconnection()
     * @category deletePeerconnection()
     */
    type DeletePeerconnectionErrorResponse = DeletePeerconnectionResponse400 | DeletePeerconnectionResponse401 | DeletePeerconnectionResponse403 | DeletePeerconnectionResponse404 | DeletePeerconnectionResponse500;
    /**
     * Typing for a response with status 204 to the request made by deletePeerconnection()
     * @category deletePeerconnection()
     */
    interface DeletePeerconnectionResponse204 extends SuccessResponse {
        status: 204;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 400 to the request made by deletePeerconnection()
     * @category deletePeerconnection()
     */
    interface DeletePeerconnectionResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by deletePeerconnection()
     * @category deletePeerconnection()
     */
    interface DeletePeerconnectionResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by deletePeerconnection()
     * @category deletePeerconnection()
     */
    interface DeletePeerconnectionResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by deletePeerconnection()
     * @category deletePeerconnection()
     */
    interface DeletePeerconnectionResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by deletePeerconnection()
     * @category deletePeerconnection()
     */
    interface DeletePeerconnectionResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by patchPeerconnectionDeviceStatus()
     * @category patchPeerconnectionDeviceStatus()
     */
    type PatchPeerconnectionDeviceStatusParameters = {
        peerconnection_id: string;
        device_url: string;
    };
    /**
     * Typing for the body of the request made by patchPeerconnectionDeviceStatus()
     * @category patchPeerconnectionDeviceStatus()
     */
    type PatchPeerconnectionDeviceStatusBody = {
        /**
         * The status of the peerconnection.
         */
        status: DeviceServiceTypes.ConnectionStatus<'request'>;
        [k: string]: unknown;
    };
    /**
     * Typing for all possible responses to the request made by patchPeerconnectionDeviceStatus()
     * @category patchPeerconnectionDeviceStatus()
     */
    type PatchPeerconnectionDeviceStatusResponse = PatchPeerconnectionDeviceStatusSuccessResponse | PatchPeerconnectionDeviceStatusErrorResponse;
    /**
     * Typing for all successful responses to the request made by patchPeerconnectionDeviceStatus()
     * @category patchPeerconnectionDeviceStatus()
     */
    type PatchPeerconnectionDeviceStatusSuccessResponse = PatchPeerconnectionDeviceStatusResponse201;
    /**
     * Typing for all error responses to the request made by patchPeerconnectionDeviceStatus()
     * @category patchPeerconnectionDeviceStatus()
     */
    type PatchPeerconnectionDeviceStatusErrorResponse = PatchPeerconnectionDeviceStatusResponse400 | PatchPeerconnectionDeviceStatusResponse401 | PatchPeerconnectionDeviceStatusResponse403 | PatchPeerconnectionDeviceStatusResponse404 | PatchPeerconnectionDeviceStatusResponse500;
    /**
     * Typing for a response with status 201 to the request made by patchPeerconnectionDeviceStatus()
     * @category patchPeerconnectionDeviceStatus()
     */
    interface PatchPeerconnectionDeviceStatusResponse201 extends SuccessResponse {
        status: 201;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 400 to the request made by patchPeerconnectionDeviceStatus()
     * @category patchPeerconnectionDeviceStatus()
     */
    interface PatchPeerconnectionDeviceStatusResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by patchPeerconnectionDeviceStatus()
     * @category patchPeerconnectionDeviceStatus()
     */
    interface PatchPeerconnectionDeviceStatusResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by patchPeerconnectionDeviceStatus()
     * @category patchPeerconnectionDeviceStatus()
     */
    interface PatchPeerconnectionDeviceStatusResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by patchPeerconnectionDeviceStatus()
     * @category patchPeerconnectionDeviceStatus()
     */
    interface PatchPeerconnectionDeviceStatusResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by patchPeerconnectionDeviceStatus()
     * @category patchPeerconnectionDeviceStatus()
     */
    interface PatchPeerconnectionDeviceStatusResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
}
/**
 * Namespace containing the signatures for the Experiment Service.
 */
export declare namespace ExperimentServiceSignatures {
    /**
     * Typing for all possible responses to the request made by listExperiments()
     * @category listExperiments()
     */
    type ListExperimentsResponse = ListExperimentsSuccessResponse | ListExperimentsErrorResponse;
    /**
     * Typing for all successful responses to the request made by listExperiments()
     * @category listExperiments()
     */
    type ListExperimentsSuccessResponse = ListExperimentsResponse200;
    /**
     * Typing for all error responses to the request made by listExperiments()
     * @category listExperiments()
     */
    type ListExperimentsErrorResponse = ListExperimentsResponse400 | ListExperimentsResponse401 | ListExperimentsResponse403 | ListExperimentsResponse404 | ListExperimentsResponse500;
    /**
     * Typing for a response with status 200 to the request made by listExperiments()
     * @category listExperiments()
     */
    interface ListExperimentsResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: ExperimentServiceTypes.ExperimentOverview<'response'>[];
    }
    /**
     * Typing for a response with status 400 to the request made by listExperiments()
     * @category listExperiments()
     */
    interface ListExperimentsResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by listExperiments()
     * @category listExperiments()
     */
    interface ListExperimentsResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by listExperiments()
     * @category listExperiments()
     */
    interface ListExperimentsResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by listExperiments()
     * @category listExperiments()
     */
    interface ListExperimentsResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by listExperiments()
     * @category listExperiments()
     */
    interface ListExperimentsResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the body of the request made by createExperiment()
     * @category createExperiment()
     */
    type CreateExperimentBody = ExperimentServiceTypes.Experiment<'request'>;
    /**
     * Typing for all possible responses to the request made by createExperiment()
     * @category createExperiment()
     */
    type CreateExperimentResponse = CreateExperimentSuccessResponse | CreateExperimentErrorResponse;
    /**
     * Typing for all successful responses to the request made by createExperiment()
     * @category createExperiment()
     */
    type CreateExperimentSuccessResponse = CreateExperimentResponse201 | CreateExperimentResponse202;
    /**
     * Typing for all error responses to the request made by createExperiment()
     * @category createExperiment()
     */
    type CreateExperimentErrorResponse = CreateExperimentResponse400 | CreateExperimentResponse401 | CreateExperimentResponse403 | CreateExperimentResponse404 | CreateExperimentResponse500;
    /**
     * Typing for a response with status 201 to the request made by createExperiment()
     * @category createExperiment()
     */
    interface CreateExperimentResponse201 extends SuccessResponse {
        status: 201;
        headers?: {
            [k: string]: string | undefined;
        };
        body: ExperimentServiceTypes.Experiment<'response'>;
    }
    /**
     * Typing for a response with status 202 to the request made by createExperiment()
     * @category createExperiment()
     */
    interface CreateExperimentResponse202 extends SuccessResponse {
        status: 202;
        headers?: {
            [k: string]: string | undefined;
        };
        body: ExperimentServiceTypes.Experiment<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by createExperiment()
     * @category createExperiment()
     */
    interface CreateExperimentResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by createExperiment()
     * @category createExperiment()
     */
    interface CreateExperimentResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by createExperiment()
     * @category createExperiment()
     */
    interface CreateExperimentResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by createExperiment()
     * @category createExperiment()
     */
    interface CreateExperimentResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by createExperiment()
     * @category createExperiment()
     */
    interface CreateExperimentResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by getExperiment()
     * @category getExperiment()
     */
    type GetExperimentParameters = {
        experiment_id: string;
    };
    /**
     * Typing for all possible responses to the request made by getExperiment()
     * @category getExperiment()
     */
    type GetExperimentResponse = GetExperimentSuccessResponse | GetExperimentErrorResponse;
    /**
     * Typing for all successful responses to the request made by getExperiment()
     * @category getExperiment()
     */
    type GetExperimentSuccessResponse = GetExperimentResponse200;
    /**
     * Typing for all error responses to the request made by getExperiment()
     * @category getExperiment()
     */
    type GetExperimentErrorResponse = GetExperimentResponse400 | GetExperimentResponse401 | GetExperimentResponse403 | GetExperimentResponse404 | GetExperimentResponse500;
    /**
     * Typing for a response with status 200 to the request made by getExperiment()
     * @category getExperiment()
     */
    interface GetExperimentResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: ExperimentServiceTypes.Experiment<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by getExperiment()
     * @category getExperiment()
     */
    interface GetExperimentResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by getExperiment()
     * @category getExperiment()
     */
    interface GetExperimentResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by getExperiment()
     * @category getExperiment()
     */
    interface GetExperimentResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by getExperiment()
     * @category getExperiment()
     */
    interface GetExperimentResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by getExperiment()
     * @category getExperiment()
     */
    interface GetExperimentResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by updateExperiment()
     * @category updateExperiment()
     */
    type UpdateExperimentParameters = {
        experiment_id: string;
        changedURL?: string;
    };
    /**
     * Typing for the body of the request made by updateExperiment()
     * @category updateExperiment()
     */
    type UpdateExperimentBody = ExperimentServiceTypes.Experiment<'request'> | undefined;
    /**
     * Typing for all possible responses to the request made by updateExperiment()
     * @category updateExperiment()
     */
    type UpdateExperimentResponse = UpdateExperimentSuccessResponse | UpdateExperimentErrorResponse;
    /**
     * Typing for all successful responses to the request made by updateExperiment()
     * @category updateExperiment()
     */
    type UpdateExperimentSuccessResponse = UpdateExperimentResponse200 | UpdateExperimentResponse202;
    /**
     * Typing for all error responses to the request made by updateExperiment()
     * @category updateExperiment()
     */
    type UpdateExperimentErrorResponse = UpdateExperimentResponse400 | UpdateExperimentResponse401 | UpdateExperimentResponse403 | UpdateExperimentResponse404 | UpdateExperimentResponse500;
    /**
     * Typing for a response with status 200 to the request made by updateExperiment()
     * @category updateExperiment()
     */
    interface UpdateExperimentResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: ExperimentServiceTypes.Experiment<'response'>;
    }
    /**
     * Typing for a response with status 202 to the request made by updateExperiment()
     * @category updateExperiment()
     */
    interface UpdateExperimentResponse202 extends SuccessResponse {
        status: 202;
        headers?: {
            [k: string]: string | undefined;
        };
        body: ExperimentServiceTypes.Experiment<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by updateExperiment()
     * @category updateExperiment()
     */
    interface UpdateExperimentResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by updateExperiment()
     * @category updateExperiment()
     */
    interface UpdateExperimentResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by updateExperiment()
     * @category updateExperiment()
     */
    interface UpdateExperimentResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by updateExperiment()
     * @category updateExperiment()
     */
    interface UpdateExperimentResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by updateExperiment()
     * @category updateExperiment()
     */
    interface UpdateExperimentResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by deleteExperiment()
     * @category deleteExperiment()
     */
    type DeleteExperimentParameters = {
        experiment_id: string;
    };
    /**
     * Typing for all possible responses to the request made by deleteExperiment()
     * @category deleteExperiment()
     */
    type DeleteExperimentResponse = DeleteExperimentSuccessResponse | DeleteExperimentErrorResponse;
    /**
     * Typing for all successful responses to the request made by deleteExperiment()
     * @category deleteExperiment()
     */
    type DeleteExperimentSuccessResponse = DeleteExperimentResponse204;
    /**
     * Typing for all error responses to the request made by deleteExperiment()
     * @category deleteExperiment()
     */
    type DeleteExperimentErrorResponse = DeleteExperimentResponse400 | DeleteExperimentResponse401 | DeleteExperimentResponse403 | DeleteExperimentResponse404 | DeleteExperimentResponse500;
    /**
     * Typing for a response with status 204 to the request made by deleteExperiment()
     * @category deleteExperiment()
     */
    interface DeleteExperimentResponse204 extends SuccessResponse {
        status: 204;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 400 to the request made by deleteExperiment()
     * @category deleteExperiment()
     */
    interface DeleteExperimentResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by deleteExperiment()
     * @category deleteExperiment()
     */
    interface DeleteExperimentResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by deleteExperiment()
     * @category deleteExperiment()
     */
    interface DeleteExperimentResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by deleteExperiment()
     * @category deleteExperiment()
     */
    interface DeleteExperimentResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by deleteExperiment()
     * @category deleteExperiment()
     */
    interface DeleteExperimentResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
}
/**
 * Namespace containing the signatures for the Federation Service.
 */
export declare namespace FederationServiceSignatures {
    /**
     * Typing for all possible responses to the request made by listInstitutions()
     * @category listInstitutions()
     */
    type ListInstitutionsResponse = ListInstitutionsSuccessResponse | ListInstitutionsErrorResponse;
    /**
     * Typing for all successful responses to the request made by listInstitutions()
     * @category listInstitutions()
     */
    type ListInstitutionsSuccessResponse = ListInstitutionsResponse200;
    /**
     * Typing for all error responses to the request made by listInstitutions()
     * @category listInstitutions()
     */
    type ListInstitutionsErrorResponse = ListInstitutionsResponse400 | ListInstitutionsResponse401 | ListInstitutionsResponse403 | ListInstitutionsResponse404 | ListInstitutionsResponse500;
    /**
     * Typing for a response with status 200 to the request made by listInstitutions()
     * @category listInstitutions()
     */
    interface ListInstitutionsResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: FederationServiceTypes.Institution<'response'>[];
    }
    /**
     * Typing for a response with status 400 to the request made by listInstitutions()
     * @category listInstitutions()
     */
    interface ListInstitutionsResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by listInstitutions()
     * @category listInstitutions()
     */
    interface ListInstitutionsResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by listInstitutions()
     * @category listInstitutions()
     */
    interface ListInstitutionsResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by listInstitutions()
     * @category listInstitutions()
     */
    interface ListInstitutionsResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by listInstitutions()
     * @category listInstitutions()
     */
    interface ListInstitutionsResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the body of the request made by createInstitution()
     * @category createInstitution()
     */
    type CreateInstitutionBody = FederationServiceTypes.Institution<'request'>;
    /**
     * Typing for all possible responses to the request made by createInstitution()
     * @category createInstitution()
     */
    type CreateInstitutionResponse = CreateInstitutionSuccessResponse | CreateInstitutionErrorResponse;
    /**
     * Typing for all successful responses to the request made by createInstitution()
     * @category createInstitution()
     */
    type CreateInstitutionSuccessResponse = CreateInstitutionResponse201;
    /**
     * Typing for all error responses to the request made by createInstitution()
     * @category createInstitution()
     */
    type CreateInstitutionErrorResponse = CreateInstitutionResponse400 | CreateInstitutionResponse401 | CreateInstitutionResponse403 | CreateInstitutionResponse404 | CreateInstitutionResponse500;
    /**
     * Typing for a response with status 201 to the request made by createInstitution()
     * @category createInstitution()
     */
    interface CreateInstitutionResponse201 extends SuccessResponse {
        status: 201;
        headers?: {
            [k: string]: string | undefined;
        };
        body: FederationServiceTypes.Institution<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by createInstitution()
     * @category createInstitution()
     */
    interface CreateInstitutionResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by createInstitution()
     * @category createInstitution()
     */
    interface CreateInstitutionResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by createInstitution()
     * @category createInstitution()
     */
    interface CreateInstitutionResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by createInstitution()
     * @category createInstitution()
     */
    interface CreateInstitutionResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by createInstitution()
     * @category createInstitution()
     */
    interface CreateInstitutionResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by getInstitution()
     * @category getInstitution()
     */
    type GetInstitutionParameters = {
        institution_id: string;
    };
    /**
     * Typing for all possible responses to the request made by getInstitution()
     * @category getInstitution()
     */
    type GetInstitutionResponse = GetInstitutionSuccessResponse | GetInstitutionErrorResponse;
    /**
     * Typing for all successful responses to the request made by getInstitution()
     * @category getInstitution()
     */
    type GetInstitutionSuccessResponse = GetInstitutionResponse200;
    /**
     * Typing for all error responses to the request made by getInstitution()
     * @category getInstitution()
     */
    type GetInstitutionErrorResponse = GetInstitutionResponse400 | GetInstitutionResponse401 | GetInstitutionResponse403 | GetInstitutionResponse404 | GetInstitutionResponse500;
    /**
     * Typing for a response with status 200 to the request made by getInstitution()
     * @category getInstitution()
     */
    interface GetInstitutionResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: FederationServiceTypes.Institution<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by getInstitution()
     * @category getInstitution()
     */
    interface GetInstitutionResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by getInstitution()
     * @category getInstitution()
     */
    interface GetInstitutionResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by getInstitution()
     * @category getInstitution()
     */
    interface GetInstitutionResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by getInstitution()
     * @category getInstitution()
     */
    interface GetInstitutionResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by getInstitution()
     * @category getInstitution()
     */
    interface GetInstitutionResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by updateInstitution()
     * @category updateInstitution()
     */
    type UpdateInstitutionParameters = {
        institution_id: string;
    };
    /**
     * Typing for the body of the request made by updateInstitution()
     * @category updateInstitution()
     */
    type UpdateInstitutionBody = FederationServiceTypes.Institution<'request'> | undefined;
    /**
     * Typing for all possible responses to the request made by updateInstitution()
     * @category updateInstitution()
     */
    type UpdateInstitutionResponse = UpdateInstitutionSuccessResponse | UpdateInstitutionErrorResponse;
    /**
     * Typing for all successful responses to the request made by updateInstitution()
     * @category updateInstitution()
     */
    type UpdateInstitutionSuccessResponse = UpdateInstitutionResponse200;
    /**
     * Typing for all error responses to the request made by updateInstitution()
     * @category updateInstitution()
     */
    type UpdateInstitutionErrorResponse = UpdateInstitutionResponse400 | UpdateInstitutionResponse401 | UpdateInstitutionResponse403 | UpdateInstitutionResponse404 | UpdateInstitutionResponse500;
    /**
     * Typing for a response with status 200 to the request made by updateInstitution()
     * @category updateInstitution()
     */
    interface UpdateInstitutionResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: FederationServiceTypes.Institution<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by updateInstitution()
     * @category updateInstitution()
     */
    interface UpdateInstitutionResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by updateInstitution()
     * @category updateInstitution()
     */
    interface UpdateInstitutionResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by updateInstitution()
     * @category updateInstitution()
     */
    interface UpdateInstitutionResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by updateInstitution()
     * @category updateInstitution()
     */
    interface UpdateInstitutionResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by updateInstitution()
     * @category updateInstitution()
     */
    interface UpdateInstitutionResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by deleteInstitution()
     * @category deleteInstitution()
     */
    type DeleteInstitutionParameters = {
        institution_id: string;
    };
    /**
     * Typing for all possible responses to the request made by deleteInstitution()
     * @category deleteInstitution()
     */
    type DeleteInstitutionResponse = DeleteInstitutionSuccessResponse | DeleteInstitutionErrorResponse;
    /**
     * Typing for all successful responses to the request made by deleteInstitution()
     * @category deleteInstitution()
     */
    type DeleteInstitutionSuccessResponse = DeleteInstitutionResponse204;
    /**
     * Typing for all error responses to the request made by deleteInstitution()
     * @category deleteInstitution()
     */
    type DeleteInstitutionErrorResponse = DeleteInstitutionResponse400 | DeleteInstitutionResponse401 | DeleteInstitutionResponse403 | DeleteInstitutionResponse404 | DeleteInstitutionResponse500;
    /**
     * Typing for a response with status 204 to the request made by deleteInstitution()
     * @category deleteInstitution()
     */
    interface DeleteInstitutionResponse204 extends SuccessResponse {
        status: 204;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 400 to the request made by deleteInstitution()
     * @category deleteInstitution()
     */
    interface DeleteInstitutionResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by deleteInstitution()
     * @category deleteInstitution()
     */
    interface DeleteInstitutionResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by deleteInstitution()
     * @category deleteInstitution()
     */
    interface DeleteInstitutionResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by deleteInstitution()
     * @category deleteInstitution()
     */
    interface DeleteInstitutionResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by deleteInstitution()
     * @category deleteInstitution()
     */
    interface DeleteInstitutionResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
}
/**
 * Namespace containing the signatures for the Update Service.
 */
export declare namespace UpdateServiceSignatures {
    /**
     * Typing for all possible responses to the request made by listUpdates()
     * @category listUpdates()
     */
    type ListUpdatesResponse = ListUpdatesSuccessResponse | ListUpdatesErrorResponse;
    /**
     * Typing for all successful responses to the request made by listUpdates()
     * @category listUpdates()
     */
    type ListUpdatesSuccessResponse = ListUpdatesResponse200;
    /**
     * Typing for all error responses to the request made by listUpdates()
     * @category listUpdates()
     */
    type ListUpdatesErrorResponse = ListUpdatesResponse400 | ListUpdatesResponse401 | ListUpdatesResponse403 | ListUpdatesResponse404 | ListUpdatesResponse500;
    /**
     * Typing for a response with status 200 to the request made by listUpdates()
     * @category listUpdates()
     */
    interface ListUpdatesResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: UpdateServiceTypes.UpdateInformation<'response'>[];
    }
    /**
     * Typing for a response with status 400 to the request made by listUpdates()
     * @category listUpdates()
     */
    interface ListUpdatesResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by listUpdates()
     * @category listUpdates()
     */
    interface ListUpdatesResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by listUpdates()
     * @category listUpdates()
     */
    interface ListUpdatesResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by listUpdates()
     * @category listUpdates()
     */
    interface ListUpdatesResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by listUpdates()
     * @category listUpdates()
     */
    interface ListUpdatesResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the body of the request made by createUpdate()
     * @category createUpdate()
     */
    type CreateUpdateBody = UpdateServiceTypes.UpdateInformation<'request'>;
    /**
     * Typing for all possible responses to the request made by createUpdate()
     * @category createUpdate()
     */
    type CreateUpdateResponse = CreateUpdateSuccessResponse | CreateUpdateErrorResponse;
    /**
     * Typing for all successful responses to the request made by createUpdate()
     * @category createUpdate()
     */
    type CreateUpdateSuccessResponse = CreateUpdateResponse201;
    /**
     * Typing for all error responses to the request made by createUpdate()
     * @category createUpdate()
     */
    type CreateUpdateErrorResponse = CreateUpdateResponse400 | CreateUpdateResponse401 | CreateUpdateResponse403 | CreateUpdateResponse404 | CreateUpdateResponse500;
    /**
     * Typing for a response with status 201 to the request made by createUpdate()
     * @category createUpdate()
     */
    interface CreateUpdateResponse201 extends SuccessResponse {
        status: 201;
        headers?: {
            [k: string]: string | undefined;
        };
        body: UpdateServiceTypes.UpdateInformation<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by createUpdate()
     * @category createUpdate()
     */
    interface CreateUpdateResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by createUpdate()
     * @category createUpdate()
     */
    interface CreateUpdateResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by createUpdate()
     * @category createUpdate()
     */
    interface CreateUpdateResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by createUpdate()
     * @category createUpdate()
     */
    interface CreateUpdateResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by createUpdate()
     * @category createUpdate()
     */
    interface CreateUpdateResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by getUpdate()
     * @category getUpdate()
     */
    type GetUpdateParameters = {
        device_id: string;
        current_version?: string;
    };
    /**
     * Typing for all possible responses to the request made by getUpdate()
     * @category getUpdate()
     */
    type GetUpdateResponse = GetUpdateSuccessResponse | GetUpdateErrorResponse;
    /**
     * Typing for all successful responses to the request made by getUpdate()
     * @category getUpdate()
     */
    type GetUpdateSuccessResponse = GetUpdateResponse200 | GetUpdateResponse303;
    /**
     * Typing for all error responses to the request made by getUpdate()
     * @category getUpdate()
     */
    type GetUpdateErrorResponse = GetUpdateResponse400 | GetUpdateResponse401 | GetUpdateResponse403 | GetUpdateResponse404 | GetUpdateResponse500;
    /**
     * Typing for a response with status 200 to the request made by getUpdate()
     * @category getUpdate()
     */
    interface GetUpdateResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 303 to the request made by getUpdate()
     * @category getUpdate()
     */
    interface GetUpdateResponse303 extends SuccessResponse {
        status: 303;
        headers: {
            Location: string;
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 400 to the request made by getUpdate()
     * @category getUpdate()
     */
    interface GetUpdateResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by getUpdate()
     * @category getUpdate()
     */
    interface GetUpdateResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by getUpdate()
     * @category getUpdate()
     */
    interface GetUpdateResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by getUpdate()
     * @category getUpdate()
     */
    interface GetUpdateResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by getUpdate()
     * @category getUpdate()
     */
    interface GetUpdateResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by patchUpdate()
     * @category patchUpdate()
     */
    type PatchUpdateParameters = {
        device_id: string;
    };
    /**
     * Typing for the body of the request made by patchUpdate()
     * @category patchUpdate()
     */
    type PatchUpdateBody = UpdateServiceTypes.UpdateInformation<'request'>;
    /**
     * Typing for all possible responses to the request made by patchUpdate()
     * @category patchUpdate()
     */
    type PatchUpdateResponse = PatchUpdateSuccessResponse | PatchUpdateErrorResponse;
    /**
     * Typing for all successful responses to the request made by patchUpdate()
     * @category patchUpdate()
     */
    type PatchUpdateSuccessResponse = PatchUpdateResponse200;
    /**
     * Typing for all error responses to the request made by patchUpdate()
     * @category patchUpdate()
     */
    type PatchUpdateErrorResponse = PatchUpdateResponse400 | PatchUpdateResponse401 | PatchUpdateResponse403 | PatchUpdateResponse404 | PatchUpdateResponse500;
    /**
     * Typing for a response with status 200 to the request made by patchUpdate()
     * @category patchUpdate()
     */
    interface PatchUpdateResponse200 extends SuccessResponse {
        status: 200;
        headers?: {
            [k: string]: string | undefined;
        };
        body: UpdateServiceTypes.UpdateInformation<'response'>;
    }
    /**
     * Typing for a response with status 400 to the request made by patchUpdate()
     * @category patchUpdate()
     */
    interface PatchUpdateResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by patchUpdate()
     * @category patchUpdate()
     */
    interface PatchUpdateResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by patchUpdate()
     * @category patchUpdate()
     */
    interface PatchUpdateResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by patchUpdate()
     * @category patchUpdate()
     */
    interface PatchUpdateResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by patchUpdate()
     * @category patchUpdate()
     */
    interface PatchUpdateResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for the parameters of the request made by deleteUpdate()
     * @category deleteUpdate()
     */
    type DeleteUpdateParameters = {
        device_id: string;
    };
    /**
     * Typing for all possible responses to the request made by deleteUpdate()
     * @category deleteUpdate()
     */
    type DeleteUpdateResponse = DeleteUpdateSuccessResponse | DeleteUpdateErrorResponse;
    /**
     * Typing for all successful responses to the request made by deleteUpdate()
     * @category deleteUpdate()
     */
    type DeleteUpdateSuccessResponse = DeleteUpdateResponse204;
    /**
     * Typing for all error responses to the request made by deleteUpdate()
     * @category deleteUpdate()
     */
    type DeleteUpdateErrorResponse = DeleteUpdateResponse400 | DeleteUpdateResponse401 | DeleteUpdateResponse403 | DeleteUpdateResponse404 | DeleteUpdateResponse500;
    /**
     * Typing for a response with status 204 to the request made by deleteUpdate()
     * @category deleteUpdate()
     */
    interface DeleteUpdateResponse204 extends SuccessResponse {
        status: 204;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 400 to the request made by deleteUpdate()
     * @category deleteUpdate()
     */
    interface DeleteUpdateResponse400 extends ErrorResponse {
        status: 400;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 401 to the request made by deleteUpdate()
     * @category deleteUpdate()
     */
    interface DeleteUpdateResponse401 extends ErrorResponse {
        status: 401;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 403 to the request made by deleteUpdate()
     * @category deleteUpdate()
     */
    interface DeleteUpdateResponse403 extends ErrorResponse {
        status: 403;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 404 to the request made by deleteUpdate()
     * @category deleteUpdate()
     */
    interface DeleteUpdateResponse404 extends ErrorResponse {
        status: 404;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
    /**
     * Typing for a response with status 500 to the request made by deleteUpdate()
     * @category deleteUpdate()
     */
    interface DeleteUpdateResponse500 extends ErrorResponse {
        status: 500;
        headers?: {
            [k: string]: string | undefined;
        };
        body?: undefined;
    }
}
//# sourceMappingURL=signatures.d.ts.map